declare
  fc_id         number(16);
  fc_name       varchar2(256) := 'hiddenSharedSpace';

  counter       number(16);
begin
  select count(1) into counter from flow_context t where lower ( t.name ) = lower ( fc_name );
  if ( counter = 0 ) then
    select ( max(t.id) + 1 ) into fc_id from flow_context t where t.id < 100;
    insert into flow_context ( id, name )
    values ( fc_id, fc_name );
  end if;
end;
/
commit;
