DROP INDEX emp_person_ju_idx;

CREATE INDEX emp_person_ju_idx
  ON employment
  (person, job_unit, parent)
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS;

DROP INDEX employment_ju_person_idx;

CREATE INDEX employment_ju_person_idx
  ON employment
  (job_unit, person, parent)
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS;

ALTER TABLE PWDMANAGEMENT 
   ADD IS_DEFAULT NUMBER (1) DEFAULT 0 NOT NULL;