declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00953); -- missing or invalid index name.

begin
  stat := '
  DROP INDEX EMP_PERSON_JU_IDX
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX EMP_PERSON_JU_IDX
    ON EMPLOYMENT
    (PERSON, JOB_UNIT, PARENT)
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00953); -- missing or invalid index name.

begin
  stat := '
  DROP INDEX EMPLOYMENT_JU_PERSON_IDX
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-00955); -- name is already used by an existing object

begin
  stat := '
  CREATE INDEX EMPLOYMENT_JU_PERSON_IDX ON EMPLOYMENT
  (JOB_UNIT, PERSON, PARENT)
  NOLOGGING
  NOPARALLEL
  TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE PWDMANAGEMENT 
   ADD IS_DEFAULT NUMBER (1) DEFAULT 0 NOT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

