CREATE TABLE USER_PREFERENCES
(
  USERID                         VARCHAR(128)        NOT NULL,
  PID                            VARCHAR(128)        NOT NULL,
  PREFERENCES                    CLOB(1M)
)
IN &DATA_TABLESPACE
INDEX IN &INDEX_TABLESPACE
LONG IN &LOB_TABLESPACE
;

ALTER TABLE USER_PREFERENCES
  ADD CONSTRAINT USER_PREFERENCES_PK
  PRIMARY KEY (USERID, PID)

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE USER_PREFERENCES' );

GRANT ALL ON USER_PREFERENCES TO IGA;
GRANT ALL ON USER_PREFERENCES TO IGACONN;
GRANT ALL ON USER_PREFERENCES TO REP;
GRANT ALL ON USER_PREFERENCES TO AA;
