declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE PERSON_SERVICE
    ADD PWDMANAGEMENT NUMBER(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table

begin
  stat := '
  ALTER TABLE PERSON_SERVICE
   ADD CONSTRAINT PERSON_SERVICE_PWDMGM_FK
   FOREIGN KEY (PWDMANAGEMENT)
   REFERENCES PWDMANAGEMENT (ID)
   ON DELETE CASCADE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/
