declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE AUTHORIZATIONS
    ADD PWDMANAGEMENT NUMERIC(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- duplicate name

begin
  stat := '
  CREATE INDEX AUTHORIZATIONS_PWDMAN_IDX
    ON AUTHORIZATIONS
    (PWDMANAGEMENT)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/
