declare
  var_ret        numeric(1);

begin
  var_ret := db2_trg_disable ( 'trg_pwdmanagement_before' );
  var_ret := db2_trg_disable ( 'trg_pwdmanagement_after' );

  update pwdmanagement set is_default = 1 where person is not null;

  update pwdmanagement
     set is_default = 0
   where id in
         (select id
            from pwdmanagement pm,
                 (select pwdcfg as pwdcfg, person as person, min(id) as minid
                    from pwdmanagement
                   group by pwdcfg, person
                  having count(1) > 1) dup
           where pm.pwdcfg = dup.pwdcfg
             and pm.person = dup.person
             and pm.id > minid);

  var_ret := db2_trg_enable ( 'trg_pwdmanagement_before' );
  var_ret := db2_trg_enable ( 'trg_pwdmanagement_after' );

end;
/
commit;
