--CREATE AN INDEX
set verify off
set serveroutput on
declare
  curr_user         varchar(30);
  
  idx_name          varchar(30) := 'ATTR_RIGHT_VALUE_MAPPING_IDX';
  dml_def           varchar(4000);
  
  counter           numeric(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from syscat.indexes t where t.indschema = curr_user and lower ( indname ) = lower ( idx_name );
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'CREATE UNIQUE INDEX ATTR_RIGHT_VALUE_MAPPING_IDX ON ATTR_RIGHT_VALUE_MAPPING (MAPPING_ID, ATTRIBUTE_VALUE)
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on
