--DROP A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar(30);
  
  tab_name          varchar(30) := 'ATTR_RIGHT_VALUE_MAPPING';
  tab_fk_name       varchar(30) := 'ATTR_RIGHT_VALUE_MAPPING_ID_FK';
  dml_def           varchar(4000);
  
  counter           numeric(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from syscat.tabconst t where t.tabschema = curr_user and lower ( t.tabname ) = lower ( tab_name ) and lower ( t.constname ) = lower ( tab_fk_name ) and t.type = 'F';
  if ( counter = 0 ) then
    return;
  end if;

  dml_def :=
'alter table ATTR_RIGHT_VALUE_MAPPING
  drop constraint ATTR_RIGHT_VALUE_MAPPING_ID_FK
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on


--DROP A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar(30);
  
  tab_name          varchar(30) := 'ATTR_RIGHT_VALUE_MAPPING';
  tab_fk_name       varchar(30) := 'ATTR_PERMISSION_MAPPING_ID_FK';
  dml_def           varchar(4000);
  
  counter           numeric(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from syscat.tabconst t where t.tabschema = curr_user and lower ( t.tabname ) = lower ( tab_name ) and lower ( t.constname ) = lower ( tab_fk_name ) and t.type = 'F';
  if ( counter = 0 ) then
    return;
  end if;

  dml_def :=
'alter table ATTR_RIGHT_VALUE_MAPPING
  drop constraint ATTR_PERMISSION_MAPPING_ID_FK
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on


--ADD A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar(30);
  
  tab_name          varchar(30) := 'ATTR_RIGHT_VALUE_MAPPING';
  tab_fk_name       varchar(30) := 'ATTR_PERMISSION_MAPPING_ID_FK';
  dml_def           varchar(4000);
  
  counter           numeric(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from syscat.tabconst t where t.tabschema = curr_user and lower ( t.tabname ) = lower ( tab_name ) and lower ( t.constname ) = lower ( tab_fk_name ) and t.type = 'F';
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table ATTR_RIGHT_VALUE_MAPPING
  add constraint ATTR_PERMISSION_MAPPING_ID_FK foreign key (MAPPING_ID)
  references attr_permission_mapping (ID) on delete cascade
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on
