--DROP A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar(30);
  
  tab_name          varchar(30) := 'PWDMANAGEMENT_ATTR_VAL';
  tab_fk_name       varchar(30) := 'PWDMAN_ATTR_VAL_PWDCFG_AK_FK';
  dml_def           varchar(4000);
  
  counter           numeric(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from syscat.tabconst t where t.tabschema = curr_user and lower ( t.tabname ) = lower ( tab_name ) and lower ( t.constname ) = lower ( tab_fk_name ) and t.type = 'F';
  if ( counter = 0 ) then
    return;
  end if;

  dml_def :=
'alter table PWDMANAGEMENT_ATTR_VAL
  drop constraint PWDMAN_ATTR_VAL_PWDCFG_AK_FK
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on

--ADD A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar(30);
  
  tab_name          varchar(30) := 'PWDMANAGEMENT_ATTR_VAL';
  tab_fk_name       varchar(30) := 'PWDMAN_ATTR_VAL_PWDCFG_AK_FK';
  dml_def           varchar(4000);
  
  counter           numeric(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from syscat.tabconst t where t.tabschema = curr_user and lower ( t.tabname ) = lower ( tab_name ) and lower ( t.constname ) = lower ( tab_fk_name ) and t.type = 'F';
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table PWDMANAGEMENT_ATTR_VAL
  add constraint PWDMAN_ATTR_VAL_PWDCFG_AK_FK foreign key (PWDCFG_ATTR_KEY)
  references pwdcfg_attr_key (ID) on delete cascade
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on
