alter trigger trg_entitlement_protection disable;
alter trigger trg_entitlement_validator disable;
alter trigger trg_ent_hier_protection disable;
alter trigger trg_add_remove_ent_flat_hier disable;
alter trigger trg_entitlement_history disable;
alter trigger trg_ent_hier_history disable;


declare
  app_id         number(16);
  tmp_num        number(16);
  ch_id          number(16)    := 1;

  ideas_version  varchar2(256) := '&IDEAS_VERSION';
  counter        number(16);
begin
  if ( instr ( lower ( trim ( user ) ), lower ( 'CCS_' ) ) > 0  ) then
    return;
  end if;

  select count(1) into counter from application where lower ( name ) = lower ( 'AccessGovernanceCore' );
  if ( counter = 1 ) then
    return;
  end if;

  tmp_num := inst_create_entitlement ( null,
                                  'Redirection Approver',
                                  '',
                                  3, null, null, null, ideas_version);

  update entitlement set code = 'ad-personam001', privilege = 'AD-PERSONAM' where lower ( name ) = lower ( 'Redirection Approver' ) and int_type = 3;

  ch_id := null;
  ch_id := inst_ent_add_to_ent (null, 'Redirection Approver', 3, ch_id, 'adPersonam$adPersonam', 1, 'AccessRequests', 'AUTH', ideas_version);
  commit;
end;
/


alter trigger trg_entitlement_protection enable;
alter trigger trg_entitlement_validator enable;
alter trigger trg_ent_hier_protection enable;
alter trigger trg_add_remove_ent_flat_hier enable;
alter trigger trg_entitlement_history enable;
alter trigger trg_ent_hier_history enable;

