CREATE OR REPLACE function arc_19_calc_pg_on_task
(
  environment_id in numeric(31),
  task_id        in numeric(31),
  entity_type    in numeric(31)
)
return sys_refcursor is
  ASSIGNMENT_PG     constant numeric(1) := 4;
  t_entity_cur      sys_refcursor;

  v_return          numeric(16);
begin
  --v_return := arc_99_print_tmp_rpd2_join;

  --prima di fare il calcolo dei profili complessi cancelliamo quelli gi presenti
  --nel caso sia un ricalcolo successivo ad un ADD_ENT o REMOVE_ENT
  delete from tmp_rpd2_join tmp where tmp.entity in
  (
    select e.id from entitlement e where tmp.profile = e.id and e.int_type = 0 and tmp.assignment = ASSIGNMENT_PG
  );

  v_return := arc_18_pg_init_task ( environment_id, task_id, entity_type );

  --delete from tmp_rpd2_join t where t.task is null;
  --v_return := arc_99_print_tmp_rpd2_join;

  open t_entity_cur for select distinct employment as ENTITY from tmp_rpd2_join;

  return t_entity_cur;
end arc_19_calc_pg_on_task;
/

GRANT EXECUTE ON FUNCTION "ARC_19_CALC_PG_ON_TASK" TO &IDEAS_SUPER_ADMIN_USER;


CREATE OR REPLACE PROCEDURE arc_19_calc_pg_on_task_sp
(
  counter out sys_refcursor,
  environment_id in numeric(31),
  task_id        in numeric(31),
  entity_type    in numeric(31)

)
AS
begin
  counter := arc_19_calc_pg_on_task ( environment_id, task_id, entity_type );
end arc_19_calc_pg_on_task_sp;
/

GRANT EXECUTE ON PROCEDURE "ARC_19_CALC_PG_ON_TASK_SP" TO &IDEAS_SUPER_ADMIN_USER;
