CREATE OR REPLACE function arc_31_task_flat_hier_calc
(
  environment_id in numeric(31)
)
return sys_refcursor is
  task_flat_cnt sys_refcursor;
  cur_task      sys_refcursor;

  t_id          numeric(16);
begin
  delete from task_flat_hier t where t.environment = environment_id;

  /*PG-BEGIN*/

  /*execute 'create or replace temporary view task_env as select * from task where environment = '|| environment_id;*/
  /*PG-END*/

  open cur_task for
    select t.id
    /*PG-BEGIN*/
    from task t
    connect by prior t.id = t.parent and t.environment = environment_id
    start with t.id = 1 and t.environment = environment_id
    /*from connectby('task_env', 'id', 'parent', cast (1 as varchar), 0)
    as t(id numeric(16), parent numeric(16), level int)*/
    /*PG-END*/
    order by level;
  loop
    fetch cur_task into t_id;
    exit when cur_task%NOTFOUND;

    /*PG-BEGIN*/

    /*insert into task_flat_hier ( environment, parent, child, lvl )
    values ( environment_id, t_id, t_id, 0 );*/
    /*PG-END*/

    insert into task_flat_hier ( environment, parent, child, lvl )
    select environment_id as environment, th.parent, th.child, ( th.lvl - 1 ) as lvl from
    /*PG-BEGIN*/
      (select t_id as parent, t.id as child, level as lvl from task t
      connect by prior t.id = t.parent
      and t.environment = environment_id
      start with t.id = t_id and t.environment = environment_id) th
    /*(select t_id as parent, thier.child, thier.level as lvl from task t,
      (select * from connectby('task_env', 'id', 'parent', cast (t_id as varchar), 0)
      as t(child numeric(16), parent numeric(16), level int)) thier where
    t.environment = environment_id and t.id = thier.child and t.parent = thier.parent) th*/
    /*PG-END*/
    /*where th.parent <> th.child*/;

  end loop;
  close cur_task;

  open task_flat_cnt for select count(1) as COUNTER from task_flat_hier t;

  return task_flat_cnt;
end arc_31_task_flat_hier_calc;
/
