--ADD A COLUMN TO A TABLE
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'CFG_PROCESS';
  tab_col_name      varchar2(30) := 'CFG_PRIORITY';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table CFG_PROCESS add CFG_PRIORITY NUMBER(16)
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on

--ADD A COLUMN TO A TABLE
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'CFG_PROCESS';
  tab_col_name      varchar2(30) := 'EXPIRATION_ACTION';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table CFG_PROCESS add EXPIRATION_ACTION NUMBER(1) default 0 not null
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on


--ADD A COLUMN TO A TABLE
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'CFG_PROCESS';
  tab_col_name      varchar2(30) := 'EXPIRATION_WF';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table CFG_PROCESS add EXPIRATION_WF NUMBER(16)
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on


--ADD A COLUMN TO A TABLE
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'CFG_PROCESS';
  tab_col_name      varchar2(30) := 'NOTIFICATION_ENABLE';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table CFG_PROCESS add NOTIFICATION_ENABLE NUMBER(1) default 0 not null
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on

--ADD A COLUMN TO A TABLE
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'CFG_PROCESS';
  tab_col_name      varchar2(30) := 'CFG_NOTIFICATION';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table CFG_PROCESS add CFG_NOTIFICATION NUMBER(16)
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on

--ADD A COLUMN TO A TABLE
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'CFG_PROCESS';
  tab_col_name      varchar2(30) := 'ENABLE_PRIORITY_OVERRIDE';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table CFG_PROCESS add ENABLE_PRIORITY_OVERRIDE NUMBER(1) default 0 not null
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on

--ADD A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'CFG_PROCESS';
  tab_fk_name       varchar2(30) := 'CFG_PROCESS_PRIORITY_FK';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_constraints t where t.owner = curr_user and t.table_name = tab_name and t.constraint_name = tab_fk_name and t.constraint_type = 'R';
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table CFG_PROCESS
  add constraint CFG_PROCESS_PRIORITY_FK foreign key (CFG_PRIORITY)
  references cfg_priority (ID) on delete set null
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on

--ADD A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'CFG_PROCESS';
  tab_fk_name       varchar2(30) := 'CFG_PROCESS_EXPIRATION_WF_FK';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_constraints t where t.owner = curr_user and t.table_name = tab_name and t.constraint_name = tab_fk_name and t.constraint_type = 'R';
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table CFG_PROCESS
  add constraint CFG_PROCESS_EXPIRATION_WF_FK foreign key (EXPIRATION_WF)
  references cfg_process (ID) on delete set null
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on

--ADD A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'CFG_PROCESS';
  tab_fk_name       varchar2(30) := 'CFG_PROCESS_NOTIFICATION_FK';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_constraints t where t.owner = curr_user and t.table_name = tab_name and t.constraint_name = tab_fk_name and t.constraint_type = 'R';
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table CFG_PROCESS
  add constraint CFG_PROCESS_NOTIFICATION_FK foreign key (CFG_NOTIFICATION)
  references cfg_notification (ID) on delete set null
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on
