alter table CFG_PROCESSACTIVITY_ACTION drop primary key;

declare
  tab_name      varchar(30) := 'CFG_PROCESSACTIVITY_ACTION';
  pk_col_name   varchar(30) := 'ID';
  seq_name      varchar(30) := upper ( tab_name ) || '_SEQ';
  cur_tab       sys_refcursor;
  tab_seq       numeric(16);
  
  tab_rowid     varchar(256);
begin
  open cur_tab for 'select rowid from ' || tab_name || ' where ' || pk_col_name || ' is null';
  loop
    fetch cur_tab into tab_rowid;
    exit when cur_tab%NOTFOUND;
    execute immediate ( 'select ' || seq_name || '.nextval from dual') into tab_seq;
    
    execute immediate ( 'update ' || tab_name || ' set ' || pk_col_name || ' = ' || tab_seq || ' where rowid = '''|| tab_rowid || '''' );
    
  end loop;
  close cur_tab;
end;
/
commit;
alter table CFG_PROCESSACTIVITY_ACTION alter column ID set not null;

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE CFG_PROCESSACTIVITY_ACTION' );

ALTER TABLE CFG_PROCESSACTIVITY_ACTION ADD
  CONSTRAINT CFG_PROCESSACTIVITY_ACTION_PK
 PRIMARY KEY (ID);
CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE CFG_PROCESSACTIVITY_ACTION' );
