CREATE OR REPLACE function arc2arcs_02_align_risk
(
  src_environment in numeric(31),
  dest_environment in numeric(31)
)
return numeric(31) is
  cur          sys_refcursor;

  upd_risk     arc2arcs_risk%ROWTYPE;
begin
  --allineamo i nomi dei risk nel sistema destinazionee
  open cur for
  --ATTENZIONE:
  --LA QUERY DI RICERCA DELLE DIFFERENZE AVVIENE SU ***TUTTI***
  --I CAMPI TRANNE ENVIRONMENT
  --SE VENGONO AGGIUNTI CAMPI IN PIU SULLA TABELLA O SE SI VUOLE
  --DISABILITARE IL CONTROLLO SU QUALCHE CAMPO BISOGNA AGIRE QUI
    select
      -1, t_src.id, t_src.name, t_src.value, t_src.description, t_src.state, t_src.attr1, t_src.attr2,
      t_src.attr3, t_src.attr4, t_src.attr5, t_src.last_mod_user, t_src.last_mod_time, t_src.risk_level,
      t_src.risk_type, t_src.impact, t_src.likelihood, t_src.tolerance, t_src.trend, t_src.accept_rational,
      /*t_src.owner,*/ 1, t_src.ownercode, t_src.creation_user, t_src.creation_date, t_src.scope_visibility
    from &IGA_CORE_USER_OLD..risk t_src where t_src.environment = src_environment
    minus
    select
      -1, t_dest.id, t_dest.name, t_dest.value, t_dest.description, t_dest.state, t_dest.attr1, t_dest.attr2,
      t_dest.attr3, t_dest.attr4, t_dest.attr5, t_dest.last_mod_user, t_dest.last_mod_time, t_dest.risk_level,
      t_dest.risk_type, t_dest.impact, t_dest.likelihood, t_dest.tolerance, t_dest.trend, t_dest.accept_rational,
      /*t_dest.owner,*/ 1, t_dest.ownercode, t_dest.creation_user, t_dest.creation_date, t_dest.scope_visibility
    from risk t_dest where t_dest.environment = dest_environment;

  loop
    fetch cur into upd_risk;
    exit when cur%NOTFOUND;

    update risk
       set name = upd_risk.name,
           value = upd_risk.value,
           description = upd_risk.description,
           state = upd_risk.state,
           attr1 = upd_risk.attr1,
           attr2 = upd_risk.attr2,
           attr3 = upd_risk.attr3,
           attr4 = upd_risk.attr4,
           attr5 = upd_risk.attr5,
           last_mod_user = upd_risk.last_mod_user,
           last_mod_time = upd_risk.last_mod_time,
           risk_level = upd_risk.risk_level,
           risk_type = upd_risk.risk_type,
           impact = upd_risk.impact,
           likelihood = upd_risk.likelihood,
           tolerance = upd_risk.tolerance,
           trend = upd_risk.trend,
           accept_rational = upd_risk.accept_rational,
           --owner = upd_risk.owner,
           ownercode = upd_risk.ownercode,
           creation_user = upd_risk.creation_user,
           creation_date = upd_risk.creation_date
    where environment = dest_environment
          and id = upd_risk.id;

  end loop;
  close cur;

  return 0;
end arc2arcs_02_align_risk;
/
