drop trigger trg_entitlement_history;
drop trigger trg_ent_hier_history;

drop table history;

drop sequence history_seq;


declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_add_modify_authorizations' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_validator' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_ent_hier_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_add_remove_ent_flat_hier' );
end;
/


declare
  counter      numeric(16);
begin
  select count(1) into counter from application where administrative = 1;
  if ( counter > 0 ) then
    delete from application where administrative = 1;
  end if;

  select count(1) into counter from entitlement where administrative = 1;
  if ( counter > 0 ) then
    delete from entitlement where administrative = 1;
  end if;
end;
/
commit;
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_add_modify_authorizations' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_validator' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_ent_hier_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_add_remove_ent_flat_hier' );
end;
/
