drop trigger trg_entitlement_history;
drop trigger trg_ent_hier_history;

drop table history cascade constraints;

drop sequence history_seq;

purge recyclebin;


alter trigger trg_add_modify_authorizations disable;
alter trigger trg_entitlement_protection disable;
alter trigger trg_entitlement_validator disable;
alter trigger trg_ent_hier_protection disable;
alter trigger trg_add_remove_ent_flat_hier disable;

declare
  counter      number(16);
begin
  select count(1) into counter from application where administrative = 1;
  if ( counter > 0 ) then
    delete from application where administrative = 1;
  end if;

  select count(1) into counter from entitlement where administrative = 1;
  if ( counter > 0 ) then
    delete from entitlement where administrative = 1;
  end if;
end;
/
commit;

alter trigger trg_add_modify_authorizations enable;
alter trigger trg_entitlement_protection enable;
alter trigger trg_entitlement_validator enable;
alter trigger trg_ent_hier_protection enable;
alter trigger trg_add_remove_ent_flat_hier enable;
