declare
  ems_t_type_id      number(16)    := 1;
  ems_t_type_code    varchar2(256) := 'DEF';
  ems_t_type_name    varchar2(256) := 'Default';

  counter            number(16);
begin
  select count(1) into counter from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );
  if ( counter = 0 ) then
    insert into ems_template_type ( id, code, name )
    values ( ems_t_type_id, ems_t_type_code, ems_t_type_name );
  end if;
end;
/
commit;

declare
  ems_t_type_id      number(16)    := 2;
  ems_t_type_code    varchar2(256) := 'ARM';
  ems_t_type_name    varchar2(256) := 'ACCESSREQUESTS';

  counter            number(16);
begin
  select count(1) into counter from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );
  if ( counter = 0 ) then
    insert into ems_template_type ( id, code, name )
    values ( ems_t_type_id, ems_t_type_code, ems_t_type_name );
  end if;
end;
/
commit;

declare
  ems_t_type_id      number(16)    := 3;
  ems_t_type_code    varchar2(256) := 'AC';
  ems_t_type_name    varchar2(256) := 'ACCESSCERTIFIER';

  counter            number(16);
begin
  select count(1) into counter from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );
  if ( counter = 0 ) then
    insert into ems_template_type ( id, code, name )
    values ( ems_t_type_id, ems_t_type_code, ems_t_type_name );
  end if;
end;
/
commit;

declare
  ems_t_type_id      number(16)    := 4;
  ems_t_type_code    varchar2(256) := 'RD';
  ems_t_type_name    varchar2(256) := 'CROSSREPORT';

  counter            number(16);
begin
  select count(1) into counter from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );
  if ( counter = 0 ) then
    insert into ems_template_type ( id, code, name )
    values ( ems_t_type_id, ems_t_type_code, ems_t_type_name );
  end if;
end;
/
commit;
