declare
  ems_t_id          NUMERIC(16);
  ems_t_name        VARCHAR(256) := 'Report Available';
  ems_t_type_id     NUMERIC(16);
  ems_t_type_code   VARCHAR(256) := 'RD';
  
  counter           NUMERIC(16);
begin
  select count(1) into counter from ems_template t where lower ( t.name ) = lower ( ems_t_name );
  if ( counter = 1 ) then
    select t.id into ems_t_id from ems_template t where lower ( t.name ) = lower ( ems_t_name );

    select count(1) into counter from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );
    if ( counter = 1 ) then
      select t.id into ems_t_type_id from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );

      update ems_template set template_type = ems_t_type_id where id = ems_t_id;
    end if;
  end if;
end;
/
commit;

declare
  ems_t_id          NUMERIC(16);
  ems_t_name        VARCHAR(256) := 'Campaign Started';
  ems_t_type_id     NUMERIC(16);
  ems_t_type_code   VARCHAR(256) := 'AC';
  
  counter           NUMERIC(16);
begin
  select count(1) into counter from ems_template t where lower ( t.name ) = lower ( ems_t_name );
  if ( counter = 1 ) then
    select t.id into ems_t_id from ems_template t where lower ( t.name ) = lower ( ems_t_name );

    select count(1) into counter from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );
    if ( counter = 1 ) then
      select t.id into ems_t_type_id from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );

      update ems_template set template_type = ems_t_type_id where id = ems_t_id;
    end if;
  end if;
end;
/
commit;

declare
  ems_t_id          NUMERIC(16);
  ems_t_name        VARCHAR(256) := 'ARM Reset Password';
  ems_t_type_id     NUMERIC(16);
  ems_t_type_code   VARCHAR(256) := 'ARM';
  
  counter           NUMERIC(16);
begin
  select count(1) into counter from ems_template t where lower ( t.name ) = lower ( ems_t_name );
  if ( counter = 1 ) then
    select t.id into ems_t_id from ems_template t where lower ( t.name ) = lower ( ems_t_name );

    select count(1) into counter from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );
    if ( counter = 1 ) then
      select t.id into ems_t_type_id from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );

      update ems_template set template_type = ems_t_type_id where id = ems_t_id;
    end if;
  end if;
end;
/
commit;

declare
  ems_t_id          NUMERIC(16);
  ems_t_name        VARCHAR(256) := 'ForgotPassword';
  ems_t_type_id     NUMERIC(16);
  ems_t_type_code   VARCHAR(256) := 'ARM';
  
  counter           NUMERIC(16);
begin
  select count(1) into counter from ems_template t where lower ( t.name ) = lower ( ems_t_name );
  if ( counter = 1 ) then
    select t.id into ems_t_id from ems_template t where lower ( t.name ) = lower ( ems_t_name );

    select count(1) into counter from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );
    if ( counter = 1 ) then
      select t.id into ems_t_type_id from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );

      update ems_template set template_type = ems_t_type_id where id = ems_t_id;
    end if;
  end if;
end;
/
commit;

declare
  ems_t_type_id     NUMERIC(16);
  ems_t_type_code   VARCHAR(256) := 'DEF';
  
  counter           NUMERIC(16);
begin
  select count(1) into counter from ems_template t where template_type is null;
  if ( counter > 0 ) then

    select count(1) into counter from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );
    if ( counter = 1 ) then
      select t.id into ems_t_type_id from ems_template_type t where lower ( t.code ) = lower ( ems_t_type_code );

      update ems_template set template_type = ems_t_type_id where template_type is null;
    end if;
  end if;
end;
/
commit;
