declare
  cur_lan           sys_refcursor;
  lan_id            NUMERIC(16);
  lan_code          VARCHAR(256);
  lan_country       VARCHAR(256);

  counter           NUMERIC(16);
begin
  open cur_lan for select id, code, country from language;
  loop
    fetch cur_lan into lan_id, lan_code, lan_country;
    exit when cur_lan%NOTFOUND;
    select count(1) into counter from ems_language t where t.id = lan_id;
    if ( counter = 1 ) then
      update ems_language set name = lan_code, country = lan_country where id = lan_id;
    end if;
  end loop;
  close cur_lan;
end;
/
commit;
