declare
  counter           number(16);
begin
  select count(1) into counter from ems_language t where t.language_status in ( 0, 2 );
  if ( counter > 0 ) then
    update ems_language set language_status = 1 where language_status in ( 0, 2 );
  end if;
end;
/
commit;

declare
  lan_code          varchar2(256) := 'IL';
  counter           number(16);
begin
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( lan_code );
  if ( counter > 0 ) then
    update ems_language set language_status = 2 where lower ( name ) = lower ( lan_code );
  end if;
end;
/
commit;
