update driver_property set description = 'The names of the columns in the CSV file divided by a separator. For example: ID;NAME;GIVENNAME. Change the column names to EXTERNALFILE to use the file descriptor.' where name = 'attributeColumnNames' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );
update driver_property set description = 'Specify the directory name from which the CSV file will be read.' where name = 'pathFile' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );
update driver_property set description = 'Use this file to specify the CSV header.' where name = 'attributesColumnsNameFileDescriptor' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );
update driver_property set description = 'Specify the write mode as ''append'', to modify the same file with each event. Specify the write mode as ''write'', to create a new file for each event.' where name = 'writeMode' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );
update driver_property set description = 'Choose the columns that will appear in the output file.' where name = 'howToWriteColumns' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );
update driver_property set description = 'Use this rule to name the output file.' where name = 'formatFileName' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );
update driver_property set description = 'Use this file to log the events.' where name = 'PathForEvents' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );
update driver_property set description = 'If the CSV file contains a header such as "ID;NAME;GIVENNAME", set "true". Otherwise, set "false".' where name = 'ignoreFirstLine' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );
update driver_property set description = 'Specify the filter by which the CSV file order will be sorted. By default, the CSV file order will be sorted by file name. Enter ''1'' to sort by file name, ''2'' to sort by size, ''3'' to sort by date, and ''4'' to sort by type. When you choose to display your results in descending order, enter the same numbers in negative. For e.g. -1 to sort by file name in descending order.' where name = 'csvOrder' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );
update driver_property set description = 'Specify an attribute for denormalizing the target events.' where name = 'AttributeToDenormalize' and driver in ( select id from driver where driver_type = ( select id from driver_type where lower ( name ) = lower ( 'CSV' ) ) );

commit;
