declare
  cf_id            number(16);
  cf_name          varchar2(256) := 'Hierarchy list';
  cf_desc          varchar2(256) := '';

  cf_data          clob;

  counter          number(16);
begin
  cf_data := 'select distinct t.name as KEY, t.name as NAME, t.description as DESCRIPTION from #pmschema#.hierarchy t';

  select count(1) into counter from custom_filter t where lower ( t.name ) = lower ( cf_name );
  if ( counter = 0 ) then
    select ( max(id) + 1 ) into cf_id from custom_filter t where t.id < 100;

    insert into custom_filter ( id, name, description, product )
    values ( cf_id, cf_name, cf_desc, 1 );
  else
    select t.id into cf_id from custom_filter t where lower ( t.name ) = lower ( cf_name );
  end if;

  select count(1) into counter from custom_filter_data t where t.custom_filter = cf_id;
  if ( counter = 0 ) then
    insert into custom_filter_data ( custom_filter, query )
    values ( cf_id, cf_data );
  else
    update custom_filter_data set query = cf_data where custom_filter = cf_id;
  end if;

end;
/

commit;
