--ADD A COLUMN TO A TABLE
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'SYSTEMATTRIBUTE_COLUMN_MAPPING';
  tab_col_name      varchar2(30) := 'IS_CUSTOM_CLASS';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'ALTER TABLE SYSTEMATTRIBUTE_COLUMN_MAPPING
ADD IS_CUSTOM_CLASS NUMBER(1) DEFAULT 0 NOT NULL
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on


--ADD A COLUMN TO A TABLE
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'SYSTEMATTRIBUTE_COLUMN_MAPPING';
  tab_col_name      varchar2(30) := 'CONVERSION';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'ALTER TABLE SYSTEMATTRIBUTE_COLUMN_MAPPING 
ADD CONVERSION VARCHAR2(256)
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on


--ADD A COLUMN TO A TABLE
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'SYSTEMATTRIBUTE_COLUMN_MAPPING';
  tab_col_name      varchar2(30) := 'IS_DATE';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'ALTER TABLE SYSTEMATTRIBUTE_COLUMN_MAPPING 
ADD IS_DATE NUMBER(1) DEFAULT 0 NOT NULL
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on
