declare
  class_name_old       varchar2(256) := 'eros400account';
  class_name_new       varchar2(256) := 'eridios400account';

  counter              number(16);
begin
  select count(1) into counter from entity_schema_mapping t where lower ( t.custom_class_name ) = lower ( class_name_old );
  if ( counter > 0 ) then
    update entity_schema_mapping set custom_class_name = class_name_new where custom_class_name = class_name_old;
  end if;
end;
/

commit;
