@echo off

setlocal

set UPGRADE_SCRIPT=%CD%

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @agc_pre_req_upgrade_74_to_75.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @agc_pre_req_upgrade_74_to_75.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_pre_req_upgrade_74_to_75.sql

cd %UPGRADE_SCRIPT%\Localization
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @agc_localization_upgrade_10_to_11.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @agc_localization_upgrade_10_to_11.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_localization_upgrade_10_to_11.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @agc_upgrade_74_to_75.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @agc_upgrade_74_to_75.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_upgrade_74_to_75.sql

cd %UPGRADE_SCRIPT%\AccessRequestsBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @arm_upgrade_14_to_15.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @arm_upgrade_14_to_15.sql

cd %UPGRADE_SCRIPT%\AccessOptimizerBackend
call "%CLPPLUS_CMD%" -nw aaadm/%SCHEMA_PWD%@%DB2_SERVER% @aa_upgrade_54_to_55.sql
call "%CLPPLUS_CMD%" -nw aacore/%SCHEMA_PWD%@%DB2_SERVER% @aa_upgrade_54_to_55.sql

cd %UPGRADE_SCRIPT%\AccessRiskControlsForSAPBackend
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_upgrade_44_to_45.sql

cd %UPGRADE_SCRIPT%\DeskBackend
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @desk_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\EmailBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @es_upgrade_24_to_25.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @es_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\EnterpriseConnectorsBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @ec_upgrade_34_to_35.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @ec_upgrade_34_to_35.sql

cd %UPGRADE_SCRIPT%\JobBackend
call "%CLPPLUS_CMD%" -nw aaadm/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_24_to_25_on_AA.sql
call "%CLPPLUS_CMD%" -nw aacore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_24_to_25_on_AA.sql
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_24_to_25_on_AGC.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_24_to_25_on_AGC.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_24_to_25_on_ARC4S.sql
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_24_to_25_on_REPORT.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_24_to_25_on_REPORT.sql

cd %UPGRADE_SCRIPT%\ReportBackend
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @rd_upgrade_24_to_25.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @rd_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\RuleEngineBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @re_upgrade_24_to_25.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @re_upgrade_24_to_25.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @re_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\TaskPlannerBackend
call "%CLPPLUS_CMD%" -nw igaqrz/%SCHEMA_PWD%@%DB2_SERVER% @quartz_upgrade.sql
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @sk_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\AuditHelper
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @account_upgrade_34_to_35.sql

cd %UPGRADE_SCRIPT%\SIB_IB_ILC
call "%CLPPLUS_CMD%" -nw itimuser/%SCHEMA_PWD%@%DB2_SERVER% @IB_ILC_upgrade.sql
call "%CLPPLUS_CMD%" -nw itiml000/%SCHEMA_PWD%@%DB2_SERVER% @SIB_upgrade.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @report_assignment.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @report_assignment.sql

cd %UPGRADE_SCRIPT%\ReportBackend
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @revoke_from_agc.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @revoke_from_agc.sql

cd %UPGRADE_SCRIPT%\IdeasModule
call "%CLPPLUS_CMD%" -nw aaadm/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw aacore/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql

cd %UPGRADE_SCRIPT%

endlocal
