declare
  type t_cur is ref cursor;
  cur t_cur;
  
  idx_attrib user_indexes%ROWTYPE;

begin
  open cur for select * from user_indexes ui where ui.status <> 'VALID' or ui.funcidx_status <> 'ENABLED';
  
  loop
    fetch cur into idx_attrib;
    exit when cur%NOTFOUND;
    
    execute immediate( 'alter index ' || idx_attrib.index_name || ' rebuild compute statistics');
    
  end loop;
  close cur;
end;
/
