declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_validator' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_ent_hier_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_add_remove_ent_flat_hier' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_history' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_ent_hier_history' );
end;
/


declare
  app_id         numeric(16);
  tmp_num        numeric(16);
  ch_id          numeric(16)  := 1;

  ideas_version  varchar(256) := '&IDEAS_VERSION';
  counter        numeric(16);

  v_ret          numeric(16);
  dest_schema    varchar(30);
begin
  if ( instr ( lower ( trim ( user ) ), lower ( 'CCS' ) ) > 0  ) then
    return;
  end if;

  --UPDATE ENTITLEMENT WITH REPORT'S ID
  select upper ( replace ( lower ( trim ( user ) ), lower ( 'IGA' ), lower ( 'REP' ) ) ) into dest_schema from dual;

  --ORACLE ONLY
  --dest_schema := replace ( dest_schema, '_MAIN' );

  v_ret := inst_report_update_ent ( dest_schema, 'Reports', 'report' );
  v_ret := inst_report_update_ent ( dest_schema, 'Reports', 'dashboard' );
end;
/
commit;


declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_validator' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_ent_hier_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_add_remove_ent_flat_hier' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_history' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_ent_hier_history' );
end;
/
