declare
  counter           number(16);
  l_id              number(16);
  l_name            varchar2(2);

begin

  l_name := 'ar';
  select count(1) into counter from arm_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
    select arm_language_seq.nextval into l_id from dual;
	insert into arm_language ( id, name, creation_user, last_mod_user )
	values ( l_id, l_name, '&IDEAS_VERSION', '&IDEAS_VERSION' );
  end if;

  l_name := 'cs';
  select count(1) into counter from arm_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
    select arm_language_seq.nextval into l_id from dual;
	insert into arm_language ( id, name, creation_user, last_mod_user )
	values ( l_id, l_name, '&IDEAS_VERSION', '&IDEAS_VERSION' );
  end if;

  l_name := 'nl';
  select count(1) into counter from arm_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
    select arm_language_seq.nextval into l_id from dual;
	insert into arm_language ( id, name, creation_user, last_mod_user )
	values ( l_id, l_name, '&IDEAS_VERSION', '&IDEAS_VERSION' );
  end if;

  l_name := 'iw';
  select count(1) into counter from arm_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
    select arm_language_seq.nextval into l_id from dual;
	insert into arm_language ( id, name, creation_user, last_mod_user )
	values ( l_id, l_name, '&IDEAS_VERSION', '&IDEAS_VERSION' );
  end if;

  l_name := 'hu';
  select count(1) into counter from arm_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
    select arm_language_seq.nextval into l_id from dual;
	insert into arm_language ( id, name, creation_user, last_mod_user )
	values ( l_id, l_name, '&IDEAS_VERSION', '&IDEAS_VERSION' );
  end if;

  l_name := 'ko';
  select count(1) into counter from arm_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
    select arm_language_seq.nextval into l_id from dual;
	insert into arm_language ( id, name, creation_user, last_mod_user )
	values ( l_id, l_name, '&IDEAS_VERSION', '&IDEAS_VERSION' );
  end if;

  l_name := 'pl';
  select count(1) into counter from arm_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
    select arm_language_seq.nextval into l_id from dual;
	insert into arm_language ( id, name, creation_user, last_mod_user )
	values ( l_id, l_name, '&IDEAS_VERSION', '&IDEAS_VERSION' );
  end if;

  l_name := 'ru';
  select count(1) into counter from arm_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
    select arm_language_seq.nextval into l_id from dual;
	insert into arm_language ( id, name, creation_user, last_mod_user )
	values ( l_id, l_name, '&IDEAS_VERSION', '&IDEAS_VERSION' );
  end if;

  l_name := 'tr';
  select count(1) into counter from arm_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
    select arm_language_seq.nextval into l_id from dual;
	insert into arm_language ( id, name, creation_user, last_mod_user )
	values ( l_id, l_name, '&IDEAS_VERSION', '&IDEAS_VERSION' );
  end if;

end;
/
commit;

declare
  cur_lan       sys_refcursor;
  lan_id        number(16);
  im_id         number(16);
  lan_status    number(16);
  lan_status_id number(16);

  counter       number(16);
begin
  open cur_lan for
    select lan.language, im.id as ideas_module, lan.status from ideas_module im,
    (
      select l.id as language, ll.status, 'ARM' as im_code from language l, arm_language ll
      where ll.status > 0 and lower ( l.code ) = lower ( ll.name ) and ll.country is null
      union
      select l.id as language, ll.status, 'ARM' as im_code from language l, arm_language ll
      where ll.status > 0 and lower ( l.code ) = lower ( ll.name ) and lower ( l.country ) = lower ( ll.country )
    ) lan where lower ( im.code ) = lower ( lan.im_code )
  ;
  loop
    fetch cur_lan into lan_id, im_id, lan_status;
    exit when cur_lan%NOTFOUND;
    
    select count(1) into counter from language_status t where t.language = lan_id and t.ideas_module = im_id;
    if ( counter = 0 ) then
      insert into language_status ( id, language, ideas_module, status )
      values ( language_status_seq.nextval, lan_id, im_id, lan_status );
    else
      select id into lan_status_id from language_status t where t.language = lan_id and t.ideas_module = im_id;
      update language_status set status = lan_status where id = lan_status_id;
    end if;
  end loop;
  close cur_lan;
end;
/
commit;
