declare
  counter       number(16);
  propkey_id    number(16);
  propkey_name  varchar2(256);

begin

  propkey_name := 'TRACE';
  select count(1) into counter from property_key t where lower ( t.name ) = lower ( propkey_name );
  if ( counter = 1 ) then
    update property_key t set state = 0, multiple = 0, searchable = 0, entity = 1
	where lower ( t.name ) = lower ( propkey_name );
  else
    select property_key_seq.nextval into propkey_id from dual;
    insert into property_key ( id, name, state, multiple, searchable, entity )
    values ( propkey_id, propkey_name, 0, 0, 0, 1 );
  end if;

  propkey_name := 'CPIC_TRACE';
  select count(1) into counter from property_key t where lower ( t.name ) = lower ( propkey_name );
  if ( counter = 1 ) then
    update property_key t set state = 0, multiple = 0, searchable = 0, entity = 1
  where lower ( t.name ) = lower ( propkey_name );
  else
    select property_key_seq.nextval into propkey_id from dual;
    insert into property_key ( id, name, state, multiple, searchable, entity )
    values ( propkey_id, propkey_name, 0, 0, 0, 1 );
  end if;

  propkey_name := 'SNC_MYNAME';
  select count(1) into counter from property_key t where lower ( t.name ) = lower ( propkey_name );
  if ( counter = 1 ) then
    update property_key t set state = 0, multiple = 0, searchable = 0, entity = 1
  where lower ( t.name ) = lower ( propkey_name );
  else
    select property_key_seq.nextval into propkey_id from dual;
    insert into property_key ( id, name, state, multiple, searchable, entity )
    values ( propkey_id, propkey_name, 0, 0, 0, 1 );
  end if;

  propkey_name := 'SNC_PARTNERNAME';
  select count(1) into counter from property_key t where lower ( t.name ) = lower ( propkey_name );
  if ( counter = 1 ) then
    update property_key t set state = 0, multiple = 0, searchable = 0, entity = 1
  where lower ( t.name ) = lower ( propkey_name );
  else
    select property_key_seq.nextval into propkey_id from dual;
    insert into property_key ( id, name, state, multiple, searchable, entity )
    values ( propkey_id, propkey_name, 0, 0, 0, 1 );
  end if;

  propkey_name := 'SNC_QOP';
  select count(1) into counter from property_key t where lower ( t.name ) = lower ( propkey_name );
  if ( counter = 1 ) then
    update property_key t set state = 0, multiple = 0, searchable = 0, entity = 1
  where lower ( t.name ) = lower ( propkey_name );
  else
    select property_key_seq.nextval into propkey_id from dual;
    insert into property_key ( id, name, state, multiple, searchable, entity )
    values ( propkey_id, propkey_name, 0, 0, 0, 1 );
  end if;

  propkey_name := 'X509CERT';
  select count(1) into counter from property_key t where lower ( t.name ) = lower ( propkey_name );
  if ( counter = 1 ) then
    update property_key t set state = 0, multiple = 0, searchable = 0, entity = 1
  where lower ( t.name ) = lower ( propkey_name );
  else
    select property_key_seq.nextval into propkey_id from dual;
    insert into property_key ( id, name, state, multiple, searchable, entity )
    values ( propkey_id, propkey_name, 0, 0, 0, 1 );
  end if;

end;
/
commit;
