declare
  counter         number(16);
  drv_id          number(16);
  drv_type_name   varchar2(64) := 'Identity Brokerage';
  drv_type_value  varchar2(256) := 'identity brokerage';
  drv_type_desc   varchar2(512) := 'identity brokerage';
begin
  select count(1) into counter from driver_type dt where lower ( dt.name ) = lower ( drv_type_name );
  if ( counter = 0 ) then
    select driver_type_seq.nextval into drv_id from dual;
    insert into driver_type ( id, name, value, description )
	values ( drv_id, drv_type_name, drv_type_value, drv_type_desc );
  else
    select dt.id into drv_id from driver_type dt where lower ( dt.name ) = lower ( drv_type_name );
	update driver_type set value = drv_type_value, description = drv_type_desc where id = drv_id;
  end if;
end;

/
commit;
