declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE DRIVER
    ADD CLASS_NAME NUMERIC(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE DRIVER' );

update driver d set class_name = (
  select cn.id from class_name cn where d.class = cn.value
);

commit;

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE DRIVER ADD
   CONSTRAINT DRIVER_CLASS_NAME_FK
   FOREIGN KEY (CLASS_NAME)
   REFERENCES CLASS_NAME (ID)
   ON DELETE SET NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE DRIVER' );
 