declare
  counter         number(16);
  drv_type_name   varchar2(64) := 'IDEAS';

begin

  select count(1) into counter from driver_type dt where lower ( dt.name ) = lower ( drv_type_name );
  if ( counter = 1 ) then
    update driver_type dt
    set name = 'Governance', value = 'IGI', description = 'Internal IGI driver'
    where lower ( dt.name ) = lower ( drv_type_name );
  end if;

end;
/
commit;
