declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE CONNECTOR
    ADD IS_ACCOUNT NUMBER(1) DEFAULT 0
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE CONNECTOR
    ADD IS_USER NUMBER(1) DEFAULT 0
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

update connector set is_account = 1, is_user = 1;

commit;
