declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE CONNECTOR
    ADD HAS_SYNCH NUMBER(1) DEFAULT 0
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE CONNECTOR
    ADD LOG_LEVEL VARCHAR2(16)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE CONNECTOR
    ADD HISTORY VARCHAR2(1)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

update connector set log_level = attr1;

update connector set history = attr2;
