declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE OBJ_CLASS_FIELD
    ADD REQUIRED NUMBER(1) DEFAULT 0 NOT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE OBJ_CLASS_FIELD
    ADD READONLY NUMBER(1) DEFAULT 0 NOT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01430); -- column being added already exists in table

begin
  stat := '
  ALTER TABLE OBJ_CLASS_FIELD
    ADD CHANNEL_MODE VARCHAR2(256)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

update obj_class_field set channel_mode = attr2;
