declare
  counter              number(16);
  cf_id                number(16);
  cf_name              varchar2(256) := 'Fulfillment status';
  cf_desc              varchar2(256) := 'Fulfillment status';
  cf_data              clob;

begin
  cf_data := 'select distinct pp.status as KEY,
'||'                case
'||'                  when pp.status = 0 then
'||'                   ''Pending''
'||'                  when pp.status = 1 then
'||'                   ''Assignment - Pending Fulfillment''
'||'                  when pp.status = 2 then
'||'                   ''Assignment - Aligned''
'||'                  when pp.status = 3 then
'||'                   ''Assignment - Failed Fulfillment''
'||'                  when pp.status = 4 then
'||'                   ''Assignment - Target Originated''
'||'                  when pp.status = 11 then
'||'                   ''Removal - Pending Fulfillment''
'||'                  when pp.status = 12 then
'||'                   ''Removal - Aligned''
'||'                  when pp.status = 13 then
'||'                   ''Removal - Failed Fulfillment''
'||'                  when pp.status = 14 then
'||'                   ''Removal - Target Originated''
'||'                  else
'||'                   ''Unknown''
'||'                end as NAME,
'||'                pp.status as DESCRIPTION
'||'  from #pmschema#.person_profile pp
'||'  order by pp.status asc
';

  select count(1) into counter from custom_filter t where lower ( t.name ) = lower ( cf_name );
  if ( counter = 0 ) then
    select ( max(id) + 1 ) into cf_id from custom_filter t where t.id < 100;
    
    insert into custom_filter ( id, name, description, product )
    values ( cf_id, cf_name, cf_desc, 1 );
  else
    select t.id into cf_id from custom_filter t where lower ( t.name ) = lower ( cf_name );
  end if;

  select count(1) into counter from custom_filter_data t where t.custom_filter = cf_id;
  if ( counter = 0 ) then
    insert into custom_filter_data ( custom_filter, query )
    values ( cf_id, cf_data );
  else
    update custom_filter_data set query = cf_data where custom_filter = cf_id;
  end if;

end;
/
commit;