@echo off

setlocal

if "%DB2_SERVER%"=="" (
  set DB2_SERVER=[DB2_FULLY_QUALIFIED_SERVER_NAME]
)

if "%SCHEMA_PWD%"=="" (
  set SCHEMA_PWD=ideas
)

if ["%DB2_HOME%"]==[""] (
  set DB2_HOME=c:\Program Files\IBM\SQLLIB
)

if ["%CLPPLUS_CMD%"]==[""] (
  set CLPPLUS_CMD=%DB2_HOME%\bin\clpplus
)

set CURRENT_DIR=%CD%
set UPGRADE_SCRIPT=%~dp0

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @va_app_perm.sql
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @agc_upgrade_76_to_77.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @agc_upgrade_76_to_77.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_upgrade_76_to_77.sql

cd %UPGRADE_SCRIPT%\AccessRequestsBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @arm_upgrade_16_to_17.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @arm_upgrade_16_to_17.sql

cd %UPGRADE_SCRIPT%\DeskBackend
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @desk_upgrade_26_to_27.sql

cd %UPGRADE_SCRIPT%\ReportBackend
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @rd_upgrade_26_to_27.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @rd_upgrade_26_to_27.sql

cd %UPGRADE_SCRIPT%\TaskPlannerBackend
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @sk_upgrade_26_to_27.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @report_assignment.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @report_assignment.sql

cd %UPGRADE_SCRIPT%\ReportBackend
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @revoke_from_agc.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @revoke_from_agc.sql

cd %UPGRADE_SCRIPT%\Survey
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @survey.sql

cd %CURRENT_DIR%

endlocal
