#!/bin/bash

export DB2_SERVER=[DB2_FULLY_QUALIFIED_SERVER_NAME]
export SCHEMA_PWD=ideas
export DB2_HOME=/home/db2inst1/sqllib

if [ -z "$CLPPLUS_CMD" ]; then
  export CLPPLUS_CMD=$DB2_HOME/bin/clpplus
fi

UPGRADE_SCRIPT=$(cd $(dirname $0) && pwd)
CURRENT_DIR=$PWD

cd $UPGRADE_SCRIPT/_PREV_REL/migration_523
echo "*** STEP1: upgrading to 5.2.3 level ***"
echo "Current directory: $PWD"
./db2_update.sh

if [ $? -eq 0 ]; then

  cd $UPGRADE_SCRIPT
  echo "*** STEP2: upgrading to 5.2.4 level ***"
  echo "Current directory: $PWD"
  ./db2_update.sh

fi

cd $CURRENT_DIR
