@echo off

setlocal

if "%ORACLE_SERVER%"=="" (
  set ORACLE_SERVER=[ORACLE_SERVER_TNS_NAME]
)

if "%SCHEMA_PWD%"=="" (
  set SCHEMA_PWD=ideas
)

if "%ORACLE_BASE%"=="" (
  set ORACLE_BASE=c:\oracle\121
)

if "%ORACLE_HOME%"=="" (
  set ORACLE_HOME=%ORACLE_BASE%\product\12.1.0\client_1
)

if "%SQLPLUS_CMD%"=="" (
  set SQLPLUS_CMD=%ORACLE_HOME%\bin\sqlplus
)

set CURRENT_DIR=%CD%
set UPGRADE_SCRIPT=%~dp0

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @va_app_perm.sql
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @agc_upgrade_76_to_77.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @agc_upgrade_76_to_77.sql
%SQLPLUS_CMD% ccs_core/%SCHEMA_PWD%@%ORACLE_SERVER% @arc4s_upgrade_76_to_77.sql

cd %UPGRADE_SCRIPT%\AccessRequestsBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @arm_upgrade_16_to_17.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @arm_upgrade_16_to_17.sql

cd %UPGRADE_SCRIPT%\DeskBackend
%SQLPLUS_CMD% iga_service/%SCHEMA_PWD%@%ORACLE_SERVER% @desk_upgrade_26_to_27.sql

cd %UPGRADE_SCRIPT%\ReportBackend
%SQLPLUS_CMD% iga_report_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @rd_upgrade_26_to_27.sql
%SQLPLUS_CMD% iga_report_core/%SCHEMA_PWD%@%ORACLE_SERVER% @rd_upgrade_26_to_27.sql

cd %UPGRADE_SCRIPT%\TaskPlannerBackend
%SQLPLUS_CMD% iga_service/%SCHEMA_PWD%@%ORACLE_SERVER% @sk_upgrade_26_to_27.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @report_assignment.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @report_assignment.sql

cd %UPGRADE_SCRIPT%\ReportBackend
%SQLPLUS_CMD% iga_report_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @revoke_from_agc.sql
%SQLPLUS_CMD% iga_report_core/%SCHEMA_PWD%@%ORACLE_SERVER% @revoke_from_agc.sql

cd %UPGRADE_SCRIPT%\Survey
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @survey.sql

cd %CURRENT_DIR%

endlocal
