@echo off

set ORACLE_SERVER=[ORACLE_SERVER_TNS_NAME]
set SCHEMA_PWD=ideas

set ORACLE_BASE=c:\oracle\121
set ORACLE_HOME=%ORACLE_BASE%\product\12.1.0\client_1

if "%SQLPLUS_CMD%"=="" (
  set SQLPLUS_CMD=%ORACLE_HOME%\bin\sqlplus
)

set CURRENT_DIR=%CD%
set UPGRADE_SCRIPT=%~dp0

cd %UPGRADE_SCRIPT%\_PREV_REL\migration_523
echo *** STEP1: upgrading to 5.2.3 level ***
echo Current directory: %CD%
call oracle_update.bat
if ERRORLEVEL 1 goto end

cd %UPGRADE_SCRIPT%
echo *** STEP2: upgrading to 5.2.4 level ***
echo Current directory: %CD%
call oracle_update.bat

:end
cd %CURRENT_DIR%
