declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01505'); -- The statement was not executed because it is unacceptable in this environment.

begin
  stat := '
  DROP INDEX EMP_PERSON_JU_IDX
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  CREATE INDEX EMP_PERSON_JU_IDX
    ON EMPLOYMENT
    (PERSON, JOB_UNIT, PARENT)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01505'); -- The statement was not executed because it is unacceptable in this environment.

begin
  stat := '
  DROP INDEX EMPLOYMENT_JU_PERSON_IDX
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  CREATE INDEX EMPLOYMENT_JU_PERSON_IDX
    ON EMPLOYMENT
    (JOB_UNIT, PERSON, PARENT)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE EMPLOYMENT' );

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE PWDMANAGEMENT 
   ADD COLUMN IS_DEFAULT NUMERIC(1) DEFAULT 0 NOT NULL
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE PWDMANAGEMENT' );
