CREATE TABLE USER_PREFERENCES
(
  USERID                         VARCHAR2(128)        NOT NULL,
  PID                            VARCHAR2(128)        NOT NULL,
  PREFERENCES                    CLOB
)
TABLESPACE &DATA_TABLESPACE
;

ALTER TABLE USER_PREFERENCES
  ADD CONSTRAINT USER_PREFERENCES_PK PRIMARY KEY (USERID, PID)
  USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS;

GRANT ALL ON USER_PREFERENCES TO IDEAS;
GRANT ALL ON USER_PREFERENCES TO IDEAS_CONNECTOR;
GRANT ALL ON USER_PREFERENCES TO IDEAS_REPORT;
GRANT ALL ON USER_PREFERENCES TO AA;
