declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE INDEX AUTHORIZATIONS_ENTITLEMENT_IDX ON AUTHORIZATIONS
  (ENTITLEMENT)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE INDEX AUTHORIZATIONS_ENTFLATHIER_IDX ON AUTHORIZATIONS
  (ENTITLEMENT_FLAT_HIER)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'01550'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  CREATE INDEX AUTHORIZATIONS_EMPLOYMENT_IDX ON AUTHORIZATIONS
  (EMPLOYMENT)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

