alter trigger trg_pwdmanagement_before disable;
alter trigger trg_pwdmanagement_after disable;

update pwdmanagement set is_default = 1 where person is not null;

update pwdmanagement
   set is_default = 0
 where id in
       (select id
          from pwdmanagement pm,
               (select pwdcfg as pwdcfg, person as person, min(id) as minid
                  from pwdmanagement
                 group by pwdcfg, person
                having count(1) > 1) dup
         where pm.pwdcfg = dup.pwdcfg
           and pm.person = dup.person
           and pm.id > minid);

commit;

alter trigger trg_pwdmanagement_before enable;
alter trigger trg_pwdmanagement_after enable;
