declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02443); -- nonexistent constraint

begin
  stat := '
  ALTER TABLE PERSON_PROFILE_SERVICE
  DROP CONSTRAINT PER_PRO_SERV_PP_FK
  ';
  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02443); -- unable to truncate required build table

begin
  stat := '
  TRUNCATE TABLE PERSON_PROFILE
  ';
  execute immediate (stat);

exception
  when exception1 then null;

end;
/


declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02443); -- unable to truncate required build table

begin
  stat := '
  TRUNCATE TABLE PERSON_PROFILE_SERVICE
  ';
  execute immediate (stat);

exception
  when exception1 then null;

end;
/


declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02275); -- such a referential constraint already exists in the table

begin
  stat := '
  ALTER TABLE PERSON_PROFILE_SERVICE
   ADD CONSTRAINT PER_PRO_SERV_PP_FK
   FOREIGN KEY (PERSON_PROFILE)
   REFERENCES PERSON_PROFILE (ID)
   ON DELETE CASCADE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/