declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE PERSON_PROFILE_SERVICE DROP FOREIGN KEY PER_PRO_SERV_PP_FK
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'20356'); -- The table cannot be truncated

begin
  stat := '
  TRUNCATE TABLE PERSON_PROFILE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'20356'); -- The table cannot be truncated

begin
  stat := '
  TRUNCATE TABLE PERSON_PROFILE_SERVICE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/


declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42710'); -- The name of the object to be created is identical to the existing name

begin
  stat := '
  ALTER TABLE PERSON_PROFILE_SERVICE ADD
   CONSTRAINT PER_PRO_SERV_PP_FK
   FOREIGN KEY (PERSON_PROFILE)
   REFERENCES PERSON_PROFILE (ID)
   ON DELETE CASCADE
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE PERSON_PROFILE_SERVICE' );
