alter trigger trg_entitlement_protection disable;
alter trigger trg_entitlement_validator disable;
alter trigger trg_ent_hier_protection disable;
alter trigger trg_add_remove_ent_flat_hier disable;
alter trigger trg_entitlement_history disable;
alter trigger trg_ent_hier_history disable;


declare
  app_id         number(16);
  tmp_num        number(16);
  ch_id          number(16)    := 1;

  ideas_version  varchar2(256) := '&IDEAS_VERSION';
  counter        number(16);

  v_ret          number(16);
  dest_schema    varchar2(30);
begin
  if ( instr ( lower ( trim ( user ) ), lower ( 'CCS_' ) ) > 0  ) then
    return;
  end if;

  --UPDATE ENTITLEMENT WITH REPORT'S ID
  select upper ( replace ( lower ( trim ( user ) ), lower ( 'IGA_' ), lower ( 'IGA_REPORT_' ) ) ) into dest_schema from dual;

  --ORACLE ONLY
  dest_schema := replace ( dest_schema, '_MAIN' );

  v_ret := inst_report_update_ent ( dest_schema, 'Reports', 'report' );
  v_ret := inst_report_update_ent ( dest_schema, 'Reports', 'dashboard' );
end;
/
commit;

alter trigger trg_entitlement_protection enable;
alter trigger trg_entitlement_validator enable;
alter trigger trg_ent_hier_protection enable;
alter trigger trg_add_remove_ent_flat_hier enable;
alter trigger trg_entitlement_history enable;
alter trigger trg_ent_hier_history enable;
