declare
  app_id          number(16);
  app_name        varchar2(256) := 'DESK';
  app_type        number(1) := 2;

  app_prop_id     number(16);
  app_prop_name   varchar2(256);
  app_prop_value  varchar2(256);

  app_prop_name1  varchar2(256) := 'LOGOUT_ADMIN';
  app_prop_value1 varchar2(256) := '../';
  
  app_prop_name2  varchar2(256) := 'LOGOUT_ENDUSER';
  app_prop_value2 varchar2(256) := '../';

  app_prop_name3  varchar2(256) := 'OIDC_ADMIN';
  app_prop_value3 varchar2(256) := '0';

  app_prop_name4  varchar2(256) := 'OIDC_ENDUSER';
  app_prop_value4 varchar2(256) := '0';
  
  counter         number(16);
begin
  select count(1) into counter from cfg_application t where lower ( t.name ) = lower ( app_name ) and t.type = app_type;
  if ( counter = 0 ) then
    RAISE_APPLICATION_ERROR ( -20200, 'NO APPLICATION FOUND' );
  else
    select t.id into app_id from cfg_application t where lower ( t.name ) = lower ( app_name ) and t.type = app_type;
  end if;
  
  --PROP1
  app_prop_name  := app_prop_name1;
  app_prop_value := app_prop_value1;
  select count(1) into counter from cfg_application_prop t where t.cfg_application = app_id and t.name = app_prop_name;
  if ( counter = 0 ) then
    select max(id) + 1 into app_prop_id from cfg_application_prop;
    insert into cfg_application_prop ( id, cfg_application, name, value, state )
    values ( app_prop_id, app_id, app_prop_name, app_prop_value, 0 );
  else
    select id into app_prop_id from cfg_application_prop t where t.cfg_application = app_id and t.name = app_prop_name;

    select count(1) into counter from cfg_application_prop t where t.id = app_prop_id and lower ( t.value ) = lower ( app_prop_value );
    if ( counter = 0 ) then
      update cfg_application_prop set value = app_prop_value where id = app_prop_id;
    end if;
  end if;

  --PROP2
  app_prop_name  := app_prop_name2;
  app_prop_value := app_prop_value2;
  select count(1) into counter from cfg_application_prop t where t.cfg_application = app_id and t.name = app_prop_name;
  if ( counter = 0 ) then
    select max(id) + 1 into app_prop_id from cfg_application_prop;
    insert into cfg_application_prop ( id, cfg_application, name, value, state )
    values ( app_prop_id, app_id, app_prop_name, app_prop_value, 0 );
  else
    select id into app_prop_id from cfg_application_prop t where t.cfg_application = app_id and t.name = app_prop_name;

    select count(1) into counter from cfg_application_prop t where t.id = app_prop_id and lower ( t.value ) = lower ( app_prop_value );
    if ( counter = 0 ) then
      update cfg_application_prop set value = app_prop_value where id = app_prop_id;
    end if;
  end if;

  --PROP3
  app_prop_name  := app_prop_name3;
  app_prop_value := app_prop_value3;
  select count(1) into counter from cfg_application_prop t where t.cfg_application = app_id and t.name = app_prop_name;
  if ( counter = 0 ) then
    select max(id) + 1 into app_prop_id from cfg_application_prop;
    insert into cfg_application_prop ( id, cfg_application, name, value, state )
    values ( app_prop_id, app_id, app_prop_name, app_prop_value, 0 );
  else
    select id into app_prop_id from cfg_application_prop t where t.cfg_application = app_id and t.name = app_prop_name;

    select count(1) into counter from cfg_application_prop t where t.id = app_prop_id and lower ( t.value ) = lower ( app_prop_value );
    if ( counter = 0 ) then
      update cfg_application_prop set value = app_prop_value where id = app_prop_id;
    end if;
  end if;

  --PROP4
  app_prop_name  := app_prop_name4;
  app_prop_value := app_prop_value4;
  select count(1) into counter from cfg_application_prop t where t.cfg_application = app_id and t.name = app_prop_name;
  if ( counter = 0 ) then
    select max(id) + 1 into app_prop_id from cfg_application_prop;
    insert into cfg_application_prop ( id, cfg_application, name, value, state )
    values ( app_prop_id, app_id, app_prop_name, app_prop_value, 0 );
  else
    select id into app_prop_id from cfg_application_prop t where t.cfg_application = app_id and t.name = app_prop_name;

    select count(1) into counter from cfg_application_prop t where t.id = app_prop_id and lower ( t.value ) = lower ( app_prop_value );
    if ( counter = 0 ) then
      update cfg_application_prop set value = app_prop_value where id = app_prop_id;
    end if;
  end if;

end;
/
commit;
