--ADD A COLUMN TO A TABLE
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'ENTITLEMENT';
  tab_col_name      varchar2(30) := 'ATTRIBUTE_NAME';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_tab_columns t where t.owner = curr_user and t.table_name = tab_name and t.column_name = tab_col_name;
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table ENTITLEMENT add ATTRIBUTE_NAME VARCHAR2(256 CHAR)
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on


alter function agc_i18n_entity_update compile;
alter function agc_permission_app_change compile;
alter function arc_01_set_tmp_join_by_ent compile;
alter function arc_11_upd_dom_prof compile;
alter function arc_18_pg_init compile;
alter function arc_19_calc_pg compile;
alter function arc_31_align_ent_incomp compile;
alter function arc_31_get_ent_names compile;
alter function ent_20_ent_parents compile;
alter function ent_30_ent_flat_hier_align compile;
alter function event_11_account_mod compile;
alter function event_11_funct_add compile;
alter function event_11_res_add compile;
alter function event_11_serv_add_rem compile;
alter function inst_create_entitlement compile;
alter function inst_ent_add_to_ent compile;
alter function inst_ent_assign_to_ou compile;
alter function inst_ent_assign_to_user compile;
alter function inst_report_update_ent compile;
alter function rep_ent_detail compile;
alter function rep_risk_detail compile;
alter function rm_get_permission_detail compile;
alter function rm_get_removable_ent compile;
alter function rm_get_removable_ent_detail compile;
alter function stat_align_ent_stat compile;
alter function stat_calc_assigned_num compile;
alter function stat_calc_not_using_ou_num compile;
alter function stat_calc_used_num compile;
alter trigger trg_entitlement_history compile;
alter trigger trg_entitlement_i18n_create compile;
alter trigger trg_entitlement_protection compile;
alter trigger trg_entitlement_validator compile;
alter trigger trg_modify_entitlement_review compile;
alter view entitlement_app compile;
alter view entitlement_i18n compile;
