declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_validator' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_ent_hier_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_add_remove_ent_flat_hier' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_history' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_ent_hier_history' );
end;
/

declare
  app_id         numeric(16);
  tmp_num        numeric(16);
  ch_id          numeric(16)  := 1;

  ideas_version  varchar(256) := '&IDEAS_VERSION';
  counter        numeric(16);
begin
  if ( instr ( lower ( trim ( user ) ), lower ( 'CCS' ) ) > 0  ) then
    return;
  end if;

  select count(1) into counter from application where lower ( name ) = lower ( 'AccessGovernanceCore' );
  if ( counter = 0 ) then
    return;
  end if;

  select count(1) into counter from entitlement e, application a, profile_type pt
  where e.application = a.id and a.id = pt.application and e.profile_type = pt.id
  and lower ( e.name ) = lower ( 'MODIFY_RE' ) and lower ( a.name ) = lower ( 'AccessGovernanceCore' )
  and lower ( pt.name ) = lower ( 'RuleEngine' );

  ch_id := null;
  if ( counter = 1 ) then
    select e.id into ch_id from entitlement e, application a, profile_type pt
    where e.application = a.id and a.id = pt.application and e.profile_type = pt.id
    and lower ( e.name ) = lower ( 'MODIFY_RE' ) and lower ( a.name ) = lower ( 'AccessGovernanceCore' )
    and lower ( pt.name ) = lower ( 'RuleEngine' );
    ch_id := ch_id + 1;
  end if;
  
  ch_id := inst_ent_add_to_ent (90, 'Access Governance Core Administrator', 2, ch_id, 'FIND_ATTRIBUTE_PERMISSION_MAPPING', 1, 'AccessGovernanceCore', 'Features', ideas_version);
  ch_id := inst_ent_add_to_ent (90, 'Access Governance Core Administrator', 2, ch_id, 'MODIFY_ATTRIBUTE_PERMISSION_MAPPING', 1, 'AccessGovernanceCore', 'Features', ideas_version);
  commit;
end;
/

declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_validator' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_ent_hier_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_add_remove_ent_flat_hier' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_history' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_ent_hier_history' );
end;
/

