--DROP A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'PWDMANAGEMENT_ATTR_VAL';
  tab_fk_name       varchar2(30) := 'PWDMAN_ATTR_VAL_PWDCFG_AK_FK';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_constraints t where t.owner = curr_user and t.table_name = tab_name and t.constraint_name = tab_fk_name and t.constraint_type = 'R';
  if ( counter = 0 ) then
    return;
  end if;

  dml_def :=
'alter table PWDMANAGEMENT_ATTR_VAL
  drop constraint PWDMAN_ATTR_VAL_PWDCFG_AK_FK
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on


--ADD A FOREIGN KEY
set verify off
set serveroutput on
declare
  curr_user         varchar2(30);
  
  tab_name          varchar2(30) := 'PWDMANAGEMENT_ATTR_VAL';
  tab_fk_name       varchar2(30) := 'PWDMAN_ATTR_VAL_PWDCFG_AK_FK';
  dml_def           varchar2(4000);
  
  counter           number(16);
begin
  select trim ( user ) into curr_user from dual;
  select count(1) into counter from all_constraints t where t.owner = curr_user and t.table_name = tab_name and t.constraint_name = tab_fk_name and t.constraint_type = 'R';
  if ( counter = 1 ) then
    return;
  end if;

  dml_def :=
'alter table PWDMANAGEMENT_ATTR_VAL
  add constraint PWDMAN_ATTR_VAL_PWDCFG_AK_FK foreign key (PWDCFG_ATTR_KEY)
  references pwdcfg_attr_key (ID) on delete cascade
';

  if ( '&ECHO' = 'ON' ) then
    dbms_output.put_line ( dml_def );
  end if;
  execute immediate ( dml_def );

end;
/
set serveroutput off
set verify on
