declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_validator' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_ent_hier_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_add_remove_ent_flat_hier' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_entitlement_history' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_disable ( 'trg_ent_hier_history' );
end;
/


declare
  app_id         numeric(16);
  tmp_num        numeric(16);
  ch_id          numeric(16)  := 1;

  ideas_version  varchar(256) := '&IDEAS_VERSION';
  counter        numeric(16);
begin
  if ( instr ( lower ( trim ( user ) ), lower ( 'CCS' ) ) > 0  ) then
    return;
  end if;

  select count(1) into counter from application where lower ( name ) = lower ( 'AccessGovernanceCore' );
  if ( counter = 1 ) then
    return;
  end if;

  tmp_num := inst_create_entitlement ( null,
                                  'Redirection Approver',
                                  '',
                                  3, null, null, null, ideas_version);

  update entitlement set code = 'ad-personam001', privilege = 'AD-PERSONAM' where lower ( name ) = lower ( 'Redirection Approver' ) and int_type = 3;

  ch_id := null;
  ch_id := inst_ent_add_to_ent (null, 'Redirection Approver', 3, ch_id, 'adPersonam$adPersonam', 1, 'AccessRequests', 'AUTH', ideas_version);
  commit;
end;
/
commit;


declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_validator' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_ent_hier_protection' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_add_remove_ent_flat_hier' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_entitlement_history' );
end;
/
declare
  var_ret    numeric(1);
begin
  var_ret := db2_trg_enable ( 'trg_ent_hier_history' );
end;
/

