declare
  conf_name     varchar2(256) := 'DISABLE_DASHBOARD';
  conf_value    varchar2(256) := '0';
  counter       number(16);
begin
  select count(1) into counter from configuration where lower ( name ) = lower ( conf_name );
  if ( counter = 0 ) then
    insert into configuration ( id, name, value )
    values ( configuration_seq.nextval, conf_name, conf_value );
  else
    update configuration set value = conf_value where lower ( name ) = lower ( conf_name );
  end if;
end;
/
commit;

declare
  conf_name     varchar2(256) := 'DISABLE_ARM_DASHBOARD';
  conf_value    varchar2(256) := '0';
  counter       number(16);
begin
  select count(1) into counter from configuration where lower ( name ) = lower ( conf_name );
  if ( counter = 0 ) then
    insert into configuration ( id, name, value )
    values ( configuration_seq.nextval, conf_name, conf_value );
  else
    update configuration set value = conf_value where lower ( name ) = lower ( conf_name );
  end if;
end;
/
commit;
