CREATE OR REPLACE VIEW PERSON_REPORT AS
select
  cur.person,
  cur.environment as env_cur, ref.environment as env_ref,
  /*PG-BEGIN*/
  cast('5' || lpad(cur.high, 4, '0') || lpad(cur.medium, 4, '0') || lpad(cur.low, 4, '0') as numeric(16)) as cur_status,
  cast('5' || lpad(ref.high, 4, '0') || lpad(ref.medium, 4, '0') || lpad(ref.low, 4, '0') as numeric(16)) as ref_status
  /*cast('5' || lpad(cast(cur.high as text), 4, '0') || lpad(cast(cur.medium as text), 4, '0') || lpad(cast(cur.low as text), 4, '0') as numeric(16)) as cur_status,
  cast('5' || lpad(cast(ref.high as text), 4, '0') || lpad(cast(ref.medium as text), 4, '0') || lpad(cast(ref.low as text), 4, '0') as numeric(16)) as ref_status*/
 /*PG-END*/
from
  person_incomp cur full outer join person_incomp ref
  on cur.person = ref.person
where
  (cur.comp_time > 0 or ref.comp_time > 0)
  /*DB2-BEGIN*/
  /*order by cur.person, env_cur*/
  /*DB2-END*/
;


-------------------------------------------------------------------------------

