create or replace function arc_19_calc_pg_on_task
(
  environment_id in number,
  task_id        in number,
  entity_type    in number
)
return sys_refcursor is
  ASSIGNMENT_PG     constant number(1) := 4;
  t_entity_cur      sys_refcursor;

  v_return          number(16);
begin
  --v_return := arc_99_print_tmp_rpd2_join;

  --prima di fare il calcolo dei profili complessi cancelliamo quelli gi presenti
  --nel caso sia un ricalcolo successivo ad un ADD_ENT o REMOVE_ENT
  delete from tmp_rpd2_join tmp where tmp.entity in
  (
    select e.id from entitlement e where tmp.profile = e.id and e.int_type = 0 and tmp.assignment = ASSIGNMENT_PG
  );

  v_return := arc_18_pg_init_task ( environment_id, task_id, entity_type );

  --delete from tmp_rpd2_join t where t.task is null;
  --v_return := arc_99_print_tmp_rpd2_join;

  open t_entity_cur for select distinct employment as ENTITY from tmp_rpd2_join;

  return t_entity_cur;
end arc_19_calc_pg_on_task;
/
