create table TASK_PERSON
(
  ENVIRONMENT   NUMERIC(16) not null,
  TASK          NUMERIC(16) not null,
  PERSON        NUMERIC(16) not null,
  LAST_MOD_TIME TIMESTAMP(6) default CURRENT_TIMESTAMP,
  COMP_TIME     NUMERIC(16) default 0
)
IN &DATA_TABLESPACE
INDEX IN &INDEX_TABLESPACE
LONG IN &LOB_TABLESPACE
;

ALTER TABLE TASK_PERSON ADD
  CONSTRAINT TASK_PERSON_PK
 PRIMARY KEY (ENVIRONMENT, TASK, PERSON);

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE TASK_PERSON' );

alter table TASK_PERSON
  add constraint TASK_PERSON_TASK_FK foreign key (ENVIRONMENT, TASK)
  references TASK (ENVIRONMENT, ID) on delete cascade;
alter table TASK_PERSON
  add constraint TASK_PERSON_PERSON_FK foreign key (PERSON)
  references PERSON (ID) on delete cascade;

grant select on TASK_PERSON to &AA_SUPER_ADMIN_USER;
grant select, insert, update, delete, references on TASK_PERSON to &IDEAS_SUPER_ADMIN_USER;
grant select, insert, update, delete, references on TASK_PERSON to &IDEAS_CONN_SUPER_ADMIN_USER;
grant select on TASK_PERSON to &IDEAS_REPORT_SUPER_ADMIN_USER;

