create table TASK_PERSON
(
  ENVIRONMENT   NUMBER(16) not null,
  TASK          NUMBER(16) not null,
  PERSON        NUMBER(16) not null,
  LAST_MOD_TIME TIMESTAMP(6) default systimestamp,
  COMP_TIME     NUMBER(16) default 0
)
tablespace &DATA_TABLESPACE
;

alter table TASK_PERSON
  add constraint TASK_PERSON_PK primary key (ENVIRONMENT, TASK, PERSON)
  using index 
  tablespace &INDEX_TABLESPACE compute statistics;
alter table TASK_PERSON
  add constraint TASK_PERSON_TASK_FK foreign key (ENVIRONMENT, TASK)
  references TASK (ENVIRONMENT, ID) on delete cascade;
alter table TASK_PERSON
  add constraint TASK_PERSON_PERSON_FK foreign key (PERSON)
  references PERSON (ID) on delete cascade;

grant select on TASK_PERSON to AA;
grant select, insert, update, delete, references on TASK_PERSON to IDEAS;
grant select, insert, update, delete, references on TASK_PERSON to IDEAS_CONNECTOR;
grant select on TASK_PERSON to IDEAS_REPORT;
