--set echo on
--spool pm_upgrade_74_to_75.log

DEFINE DATA_TABLESPACE = '&1';
DEFINE INDEX_TABLESPACE = '&2';
DEFINE LOB_TABLESPACE = '&3';

@@PM_UPGRADE_74_TO_75/001-COMPLEX_INDEX.sql
@@PM_UPGRADE_74_TO_75/002-CONFIGURATION.sql
--@@PM_UPGRADE_74_TO_75/003-APPLICATION.sql
@@PM_UPGRADE_74_TO_75/003-APPLICATION_NEW.sql
--@@PM_UPGRADE_74_TO_75/004-WORKSTREAM.sql
@@PM_UPGRADE_74_TO_75/004-WORKSTREAM_NEW.sql
--@@PM_UPGRADE_74_TO_75/005-ENTITLEMENT.sql
@@PM_UPGRADE_74_TO_75/005-ENTITLEMENT_NEW.sql
@@PM_UPGRADE_74_TO_75/006-TRG_ENTITLEMENT_HISTORY.sql
@@PM_UPGRADE_74_TO_75/007-ENTITLEMENT_I18N.sql
--@@PM_UPGRADE_74_TO_75/008-SERVICE_ATTRIBUTE.sql
@@PM_UPGRADE_74_TO_75/008-SERVICE_ATTRIBUTE_NEW.sql
--@@PM_UPGRADE_74_TO_75/009-ATTR_PERMISSION_MAPPING.sql
@@PM_UPGRADE_74_TO_75/009-ATTR_PERMISSION_MAPPING_NEW.sql
--@@PM_UPGRADE_74_TO_75/010-ATTR_RIGHT_VALUE_MAPPING.sql
@@PM_UPGRADE_74_TO_75/010-ATTR_RIGHT_VALUE_MAPPING_NEW.sql
--@@PM_UPGRADE_74_TO_75/011-TMP_JOIN_TASK.sql
@@PM_UPGRADE_74_TO_75/011-TMP_JOIN_TASK_NEW.sql
@@PM_UPGRADE_74_TO_75/012-CONFIGURATION.sql
@@PM_UPGRADE_74_TO_75/013-TRG_ENT_HIER_PROTECTION.sql
--@@PM_UPGRADE_74_TO_75/014-ATTR_RIGHT_VALUE_MAPPING.sql
@@PM_UPGRADE_74_TO_75/014-ATTR_RIGHT_VALUE_MAPPING_NEW.sql
@@PM_UPGRADE_74_TO_75/015-CONFIGURATION.sql
--@@PM_UPGRADE_74_TO_75/016-ATTR_PERMISSION_MAPPING.sql
@@PM_UPGRADE_74_TO_75/016-ATTR_PERMISSION_MAPPING_NEW.sql
--@@PM_UPGRADE_74_TO_75/017-ATTR_RIGHT_VALUE_MAPPING.sql
@@PM_UPGRADE_74_TO_75/017-ATTR_RIGHT_VALUE_MAPPING_NEW.sql
--@@PM_UPGRADE_74_TO_75/018-ENTITLEMENT.sql
@@PM_UPGRADE_74_TO_75/018-ENTITLEMENT_NEW.sql
@@PM_UPGRADE_74_TO_75/019-TRG_ENTITLEMENT_HISTORY.sql
@@PM_UPGRADE_74_TO_75/020-ENTITLEMENT_I18N.sql
@@PM_UPGRADE_74_TO_75/021-ENTITLEMENT.sql
@@PM_UPGRADE_74_TO_75/022-GRANT_REMEDIATION.sql
@@PM_UPGRADE_74_TO_75/023-ENT_20_ENT_PARENTS.sql
@@PM_UPGRADE_74_TO_75/024-ENT_21_CHECK_HIER.sql
@@PM_UPGRADE_74_TO_75/025-ENT_30_ENT_FLAT_HIER_ALIGN.sql
@@PM_UPGRADE_74_TO_75/026-OU_FLAT_HIER_CALC.sql
--@@PM_UPGRADE_74_TO_75/027-ATTR_RIGHT_VALUE_MAPPING.sql
@@PM_UPGRADE_74_TO_75/027-ATTR_RIGHT_VALUE_MAPPING_NEW.sql
--@@PM_UPGRADE_74_TO_75/028-PWDCFG_ATTR_KEY.sql
@@PM_UPGRADE_74_TO_75/028-PWDCFG_ATTR_KEY_NEW.sql
--@@PM_UPGRADE_74_TO_75/029-PWDMANAGEMENT_ATTR_VAL.sql
@@PM_UPGRADE_74_TO_75/029-PWDMANAGEMENT_ATTR_VAL_NEW.sql
--@@PM_UPGRADE_74_TO_75/030-AUTHORIZATIONS.sql
@@PM_UPGRADE_74_TO_75/030-AUTHORIZATIONS_NEW.sql
@@PM_UPGRADE_74_TO_75/031-TRG_EV_TAR_TO_USER_EVENT_ERC.sql
@@PM_UPGRADE_74_TO_75/032-EVENT_11_FUNCT_ADD.sql
@@PM_UPGRADE_74_TO_75/033-EVENT_11_FUNCT_REM.sql
@@PM_UPGRADE_74_TO_75/034-EVENT_11_SERV_ADD_REM.sql
@@PM_UPGRADE_74_TO_75/035-EVENT_20_ALIGN_PER_PROF_ID.sql
@@PM_UPGRADE_74_TO_75/036-EVENT_20_ALIGN_PER_PROF_STATUS.sql
@@PM_UPGRADE_74_TO_75/037-EVENT_21_PRC_EVENT_OUT.sql
--@@PM_UPGRADE_74_TO_75/038-PWDMANAGEMENT_ATTR_VAL.sql
@@PM_UPGRADE_74_TO_75/038-PWDMANAGEMENT_ATTR_VAL_NEW.sql
@@PM_UPGRADE_74_TO_75/039-ATTR_PERMISSION_MAPPING_NEW.sql
--@@PM_UPGRADE_74_TO_75/040-PWDMANAGEMENT_ATTR_VAL.sql
@@PM_UPGRADE_74_TO_75/040-PWDMANAGEMENT_ATTR_VAL_NEW.sql
@@PM_UPGRADE_74_TO_75/041-CONFIGURATION.sql
@@PM_UPGRADE_74_TO_75/042-ENTITLEMENT.sql
--@@PM_UPGRADE_74_TO_75/043-PWDCFG_ATTR_KEY.sql
@@PM_UPGRADE_74_TO_75/043-PWDCFG_ATTR_KEY_NEW.sql
@@PM_UPGRADE_74_TO_75/044-PERSON_PROFILE.sql
@@PM_UPGRADE_74_TO_75/045-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/046-FLOW.sql
@@PM_UPGRADE_74_TO_75/047-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/048-FLOW_ENTITY.sql
@@PM_UPGRADE_74_TO_75/049-FLOW_ENTITY.sql
@@PM_UPGRADE_74_TO_75/050-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/051-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/052-FLOW_ENTITY.sql
@@PM_UPGRADE_74_TO_75/053-TRG_USER_ERC_TO_PM.sql
--@@PM_UPGRADE_74_TO_75/054-TARGET_RESOURCE_SCHEMA.sql
@@PM_UPGRADE_74_TO_75/054-TARGET_RESOURCE_SCHEMA_NEW.sql
--@@PM_UPGRADE_74_TO_75/055-TARGET_RESOURCE_SCHEMA.sql
@@PM_UPGRADE_74_TO_75/055-TARGET_RESOURCE_SCHEMA_NEW.sql
--@@PM_UPGRADE_74_TO_75/056-TARGET_RESOURCE_SCHEMA_DEF.sql
@@PM_UPGRADE_74_TO_75/056-TARGET_RESOURCE_SCHEMA_DEF_NEW.sql
@@PM_UPGRADE_74_TO_75/057-TRG_MODIFY_EMPLOYMENT.sql
@@PM_UPGRADE_74_TO_75/058-FLOW_ENTITY.sql
@@PM_UPGRADE_74_TO_75/059-FLOW_ENTITY.sql
--@@PM_UPGRADE_74_TO_75/060-TARGET_RESOURCE_SCHEMA.sql
@@PM_UPGRADE_74_TO_75/060-TARGET_RESOURCE_SCHEMA_NEW.sql
@@PM_UPGRADE_74_TO_75/061-CONFIGURATION.sql
@@PM_UPGRADE_74_TO_75/062-FLOW.sql
@@PM_UPGRADE_74_TO_75/063-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/064-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/065-TARGET_RESOURCE_SCHEMA_DEF.sql
--@@PM_UPGRADE_74_TO_75/066-INTERNAL_LOCK.sql
@@PM_UPGRADE_74_TO_75/066-INTERNAL_LOCK_NEW.sql
--@@PM_UPGRADE_74_TO_75/067-PERSON_PROFILE_SERVICE.sql
@@PM_UPGRADE_74_TO_75/067-PERSON_PROFILE_SERVICE_NEW.sql
@@PM_UPGRADE_74_TO_75/068-TRG_EV_TAR_TO_PER_PRO_SERV.sql
@@PM_UPGRADE_74_TO_75/069-TRG_EV_TAR_TO_USER_EVENT_ERC.sql
@@PM_UPGRADE_74_TO_75/070-EVENT_11_SERV_ADD_REM.sql
@@PM_UPGRADE_74_TO_75/071-EVENT_20_ALIGN_PER_PROF_SER_ID.sql
@@PM_UPGRADE_74_TO_75/072-EVENT_20_ALIGN_PER_PROF_SER_ST.sql
@@PM_UPGRADE_74_TO_75/073-EVENT_21_PRC_EVENT_OUT.sql
@@PM_UPGRADE_74_TO_75/074-TRG_USER_EV_ERC_TO_PER_PRO_SER.sql
@@PM_UPGRADE_74_TO_75/075-TRG_USER_EVENT_ERC_SERVICE.sql
@@PM_UPGRADE_74_TO_75/076-CONFIGURATION.sql
@@PM_UPGRADE_74_TO_75/077-PERSON_PROFILE_SERVICE.sql
@@PM_UPGRADE_74_TO_75/078-FLOW.sql
@@PM_UPGRADE_74_TO_75/079-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/080-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/081-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/082-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/083-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/084-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/085-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/086-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/087-EVENT_11_SERV_ADD_REM.sql
@@PM_UPGRADE_74_TO_75/088-EVENT_11_FUNCT_REM.sql
@@PM_UPGRADE_74_TO_75/089-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/090-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/091-CONFIGURATION.sql
@@PM_UPGRADE_74_TO_75/092-REPOSITORY.sql
@@PM_UPGRADE_74_TO_75/093-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/094-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/095-FLOW_RULE.sql
@@PM_UPGRADE_74_TO_75/096-PERSON.sql
