alter table CFG_PROCESS add CFG_PRIORITY NUMERIC(16);
alter table CFG_PROCESS add EXPIRATION_ACTION NUMERIC(1) default 0 not null;
alter table CFG_PROCESS add EXPIRATION_WF NUMERIC(16);
alter table CFG_PROCESS add NOTIFICATION_ENABLE NUMERIC(1) default 0 not null;
alter table CFG_PROCESS add CFG_NOTIFICATION NUMERIC(16);
alter table CFG_PROCESS add ENABLE_PRIORITY_OVERRIDE NUMERIC(1) default 0 not null;

alter table CFG_PROCESS
  add constraint CFG_PROCESS_PRIORITY_FK foreign key (CFG_PRIORITY)
  references cfg_priority (ID) on delete set null;
alter table CFG_PROCESS
  add constraint CFG_PROCESS_EXPIRATION_WF_FK foreign key (EXPIRATION_WF)
  references cfg_process (ID) on delete set null;
alter table CFG_PROCESS
  add constraint CFG_PROCESS_NOTIFICATION_FK foreign key (CFG_NOTIFICATION)
  references cfg_notification (ID) on delete set null;

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE CFG_PROCESS' );
