declare
  pr_id          number(16);
  pr_type        number(16) := -1;
  pr_value       number(16) := -1;
  pr_rem_st_val  number(16) := -1;
  pr_rem_fr_unit number(16) := -1;
  counter        number(16);
begin
  select count(1) into counter from cfg_priority t where t.type = pr_type;
  if ( counter = 0 ) then
    select cfg_priority_seq.nextval into pr_id from dual;
    insert into cfg_priority ( id, type, priority_value, reminder_start_value, reminder_frequency_value )
    values ( pr_id, pr_type, pr_value, pr_rem_st_val, pr_rem_fr_unit );
  end if;
end;
/
commit;

declare
  pr_id          number(16);
  pr_type        number(16) := 0;
  pr_value       number(16) := 20;
  pr_rem_st_val  number(16) := 5;
  pr_rem_fr_unit number(16) := 2;
  counter        number(16);
begin
  select count(1) into counter from cfg_priority t where t.type = pr_type;
  if ( counter = 0 ) then
    select cfg_priority_seq.nextval into pr_id from dual;
    insert into cfg_priority ( id, type, priority_value, reminder_start_value, reminder_frequency_value )
    values ( pr_id, pr_type, pr_value, pr_rem_st_val, pr_rem_fr_unit );
  end if;
end;
/
commit;

declare
  pr_id          number(16);
  pr_type        number(16) := 1;
  pr_value       number(16) := 10;
  pr_rem_st_val  number(16) := 3;
  pr_rem_fr_unit number(16) := 1;
  counter        number(16);
begin
  select count(1) into counter from cfg_priority t where t.type = pr_type;
  if ( counter = 0 ) then
    select cfg_priority_seq.nextval into pr_id from dual;
    insert into cfg_priority ( id, type, priority_value, reminder_start_value, reminder_frequency_value )
    values ( pr_id, pr_type, pr_value, pr_rem_st_val, pr_rem_fr_unit );
  end if;
end;
/
commit;

declare
  pr_id          number(16);
  pr_type        number(16) := 2;
  pr_value       number(16) := 5;
  pr_rem_st_val  number(16) := 3;
  pr_rem_fr_unit number(16) := 1;
  counter        number(16);
begin
  select count(1) into counter from cfg_priority t where t.type = pr_type;
  if ( counter = 0 ) then
    select cfg_priority_seq.nextval into pr_id from dual;
    insert into cfg_priority ( id, type, priority_value, reminder_start_value, reminder_frequency_value )
    values ( pr_id, pr_type, pr_value, pr_rem_st_val, pr_rem_fr_unit );
  end if;
end;
/
commit;
