alter table CFG_PROCESSACTIVITY_ACTION
  drop constraint CFG_PROCESSACTIVITYACTION_PK cascade;

declare
  tab_name      varchar2(30) := 'CFG_PROCESSACTIVITY_ACTION';
  pk_col_name   varchar2(30) := 'ID';
  seq_name      varchar2(30) := upper ( tab_name ) || '_SEQ';
  cur_tab       sys_refcursor;
  tab_seq       number(16);
  
  tab_rowid     rowid;
begin
  open cur_tab for 'select rowid from ' || tab_name || ' where ' || pk_col_name || ' is null';
  loop
    fetch cur_tab into tab_rowid;
    exit when cur_tab%NOTFOUND;
    execute immediate ( 'select ' || seq_name || '.nextval from dual') into tab_seq;
    
    execute immediate ( 'update ' || tab_name || ' set ' || pk_col_name || ' = ' || tab_seq || ' where rowid = '''|| tab_rowid || '''' );
    
  end loop;
  close cur_tab;
end;
/
commit;
alter table CFG_PROCESSACTIVITY_ACTION modify ID not null;

alter table CFG_PROCESSACTIVITY_ACTION
  add constraint CFG_PROCESSACTIVITY_ACTION_PK primary key (ID)
  using index 
  tablespace &INDEX_TABLESPACE compute statistics;
