create or replace function arc2arcs_01_align_task
(
  src_environment in number,
  dest_environment in number
)
return number is
  cur          sys_refcursor;

  upd_task     arc2arcs_task%ROWTYPE;
begin
  --allineamo i nomi dei task nel sistema destinazionee
  --ATTENZIONE:
  --LA QUERY DI RICERCA DELLE DIFFERENZE AVVIENE SU ***TUTTI***
  --I CAMPI TRANNE ENVIRONMENT
  --SE VENGONO AGGIUNTI CAMPI IN PIU SULLA TABELLA O SE SI VUOLE
  --DISABILITARE IL CONTROLLO SU QUALCHE CAMPO BISOGNA AGIRE QUI
  open cur for
    select
      t_src.id, t_src.name, t_src.description, t_src.state, t_src.attr1, t_src.attr2,
      t_src.attr3, t_src.attr4, t_src.attr5, t_src.last_mod_user, t_src.last_mod_time,
      /*t_src.parent*/ 1 as parent, t_src.path, -1, t_src.profile_task, /*t_src.owner*/ 1 as owner,
      t_src.ownercode, t_src.code
    from &IGA_CORE_USER_OLD..task t_src where t_src.environment = src_environment
    minus
    select
      t_dest.id, t_dest.name, t_dest.description, t_dest.state, t_dest.attr1, t_dest.attr2,
      t_dest.attr3, t_dest.attr4, t_dest.attr5, t_dest.last_mod_user, t_dest.last_mod_time,
      /*t_dest.parent*/ 1 as parent, t_dest.path, -1, t_dest.profile_task, /*t_dest.owner*/ 1 as owner,
      t_dest.ownercode, t_dest.code
    from task t_dest where t_dest.environment = dest_environment;

  loop
    fetch cur into upd_task;
    exit when cur%NOTFOUND;

    update task
       set name = upd_task.name,
           description = upd_task.description,
           state = upd_task.state,
           attr1 = upd_task.attr1,
           attr2 = upd_task.attr2,
           attr3 = upd_task.attr3,
           attr4 = upd_task.attr4,
           attr5 = upd_task.attr5,
           last_mod_user = upd_task.last_mod_user,
           last_mod_time = upd_task.last_mod_time,
           --parent = upd_task.parent,
           path = upd_task.path,
           profile_task = upd_task.profile_task,
           --owner = upd_task.owner,
           ownercode = upd_task.ownercode,
           code = upd_task.code
     where environment = dest_environment
           and id = upd_task.id;

  end loop;
  close cur;

  return 0;
end arc2arcs_01_align_task;
/
