declare
  ev_id          number(16)    := 90004;
  ev_desc        varchar2(256) := 'REDIRECT_REQUEST';
  ev_lan         varchar2(256) := 'en';
  counter        number(16);
begin
  select count(1) into counter from audit_event t where t.event_id = ev_id and lower ( t.event_desc ) = lower ( ev_desc );
  if ( counter = 0 ) then
    insert into audit_event (id, event_id, event_desc, language) values (audit_event_seq.nextval, ev_id, ev_desc, ev_lan); 
  end if;
end;
/
commit;

declare
  ev_id          number(16)    := 90005;
  ev_desc        varchar2(256) := 'COMEBACK_REQUEST';
  ev_lan         varchar2(256) := 'en';
  counter        number(16);
begin
  select count(1) into counter from audit_event t where t.event_id = ev_id and lower ( t.event_desc ) = lower ( ev_desc );
  if ( counter = 0 ) then
    insert into audit_event (id, event_id, event_desc, language) values (audit_event_seq.nextval, ev_id, ev_desc, ev_lan); 
  end if;
end;
/
commit;
