declare
  ev_id          numeric(16)  := 105;
  ev_desc        varchar(256) := 'User right approved';
  ev_lan         varchar(256) := 'en';
  counter        numeric(16);
begin
  select count(1) into counter from audit_event t where t.event_id = ev_id and lower ( t.event_desc ) = lower ( ev_desc );
  if ( counter = 0 ) then
    insert into audit_event (id, event_id, event_desc, language) values (audit_event_seq.nextval, ev_id, ev_desc, ev_lan); 
  end if;
end;
/
commit;

declare
  ev_id          numeric(16)  := 106;
  ev_desc        varchar(256) := 'User right edited';
  ev_lan         varchar(256) := 'en';
  counter        numeric(16);
begin
  select count(1) into counter from audit_event t where t.event_id = ev_id and lower ( t.event_desc ) = lower ( ev_desc );
  if ( counter = 0 ) then
    insert into audit_event (id, event_id, event_desc, language) values (audit_event_seq.nextval, ev_id, ev_desc, ev_lan); 
  end if;
end;
/
commit;

declare
  ev_id          numeric(16)  := 107;
  ev_desc        varchar(256) := 'User right revoked';
  ev_lan         varchar(256) := 'en';
  counter        numeric(16);
begin
  select count(1) into counter from audit_event t where t.event_id = ev_id and lower ( t.event_desc ) = lower ( ev_desc );
  if ( counter = 0 ) then
    insert into audit_event (id, event_id, event_desc, language) values (audit_event_seq.nextval, ev_id, ev_desc, ev_lan); 
  end if;
end;
/
commit;
