create table EMS_TEMPLATE_TYPE
(
  ID   NUMBER(16) not null,
  CODE VARCHAR2(256 CHAR) not null,
  NAME VARCHAR2(256 CHAR) not null
)
tablespace IGA_CORE_DATA
;

alter table EMS_TEMPLATE_TYPE
  add constraint EMS_TEMPLATE_TYPE_PK primary key (ID)
  using index 
  tablespace IGA_CORE_INDX compute statistics;

grant select on EMS_TEMPLATE_TYPE to AA;
grant select, insert, update, delete, references on EMS_TEMPLATE_TYPE to IDEAS;
grant select, insert, update, delete, references on EMS_TEMPLATE_TYPE to IDEAS_CONNECTOR;
grant select on EMS_TEMPLATE_TYPE to IDEAS_REPORT;

create sequence EMS_TEMPLATE_TYPE_SEQ
minvalue 100
maxvalue 999999999999999999999999999
start with 100
increment by 1
nocache;

grant select on EMS_TEMPLATE_TYPE_SEQ to AA;
grant select, alter on EMS_TEMPLATE_TYPE_SEQ to IDEAS;
grant select on EMS_TEMPLATE_TYPE_SEQ to IDEAS_CONNECTOR;
grant select on EMS_TEMPLATE_TYPE_SEQ to IDEAS_REPORT;
