declare
  conf_name_old varchar(256) := 'ENABLE_SMS';
  conf_name     varchar(256) := 'SMS_ENABLE';
  conf_value    varchar(256) := 'false';
  counter       numeric(16);
begin
  select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name_old );
  if ( counter = 1 ) then
    update ems_configuration set name = conf_name where name = conf_name_old;
  else
    select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name );
    if ( counter = 0 ) then
      insert into ems_configuration ( id, name, value )
      values ( ems_configuration_seq.nextval, conf_name, conf_value );
    end if;
  end if;
end;
/
commit;

declare
  conf_name_old varchar(256) := 'USERNAME';
  conf_name     varchar(256) := 'SMS_USERNAME';
  conf_value    varchar(256) := '';
  counter       numeric(16);
begin
  select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name_old );
  if ( counter = 1 ) then
    update ems_configuration set name = conf_name where name = conf_name_old;
  else
    select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name );
    if ( counter = 0 ) then
      insert into ems_configuration ( id, name, value )
      values ( ems_configuration_seq.nextval, conf_name, conf_value );
    end if;
  end if;
end;
/
commit;

declare
  conf_name_old varchar(256) := 'PASSWORD';
  conf_name     varchar(256) := 'SMS_PASSWORD';
  conf_value    varchar(256) := '';
  counter       numeric(16);
begin
  select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name_old );
  if ( counter = 1 ) then
    update ems_configuration set name = conf_name where name = conf_name_old;
  else
    select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name );
    if ( counter = 0 ) then
      insert into ems_configuration ( id, name, value )
      values ( ems_configuration_seq.nextval, conf_name, conf_value );
    end if;
  end if;
end;
/
commit;

declare
  conf_name_old varchar(256) := 'URL';
  conf_name     varchar(256) := 'SMS_URL';
  conf_value    varchar(256) := '';
  counter       numeric(16);
begin
  select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name_old );
  if ( counter = 1 ) then
    update ems_configuration set name = conf_name where name = conf_name_old;
  else
    select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name );
    if ( counter = 0 ) then
      insert into ems_configuration ( id, name, value )
      values ( ems_configuration_seq.nextval, conf_name, conf_value );
    end if;
  end if;
end;
/
commit;

declare
  conf_name_old varchar(256) := 'PORT';
  conf_name     varchar(256) := 'SMS_PORT';
  conf_value    varchar(256) := '';
  counter       numeric(16);
begin
  select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name_old );
  if ( counter = 1 ) then
    update ems_configuration set name = conf_name where name = conf_name_old;
  else
    select count(1) into counter from ems_configuration where lower ( name ) = lower ( conf_name );
    if ( counter = 0 ) then
      insert into ems_configuration ( id, name, value )
      values ( ems_configuration_seq.nextval, conf_name, conf_value );
    end if;
  end if;
end;
/
commit;
