create or replace function inst_rep_add_attr
(
  r_id                 in number,
  rq_id                in number,
  ra_name              in varchar2,
  ra_value             in varchar2
)
return number is
  ra_id                number(16);
  counter              number(16);
begin
  select count(1) into counter from report_attribute t where t.report = r_id and lower ( t.name ) = lower ( ra_name );
  if ( counter = 0 ) then
    insert into report_attribute ( id, report, name, value )
    values ( report_attribute_seq.nextval, r_id, ra_name, ra_value );
  else
    select t.id into ra_id from report_attribute t where t.report = r_id and lower ( t.name ) = lower ( ra_name );
    update report_attribute set value = ra_value where id = ra_id;
  end if;

  return 0;
end inst_rep_add_attr;
/

GRANT EXECUTE ON inst_rep_add_attr TO ideas_report;
