--set echo on
spool IB_ILC_upgrade.log

DEFINE DATA_TABLESPACE = 'ILC_IB_DATA'
DEFINE LOB_TABLESPACE = 'ILC_IB_BLOB'
DEFINE INDEX_TABLESPACE = 'ILC_IB_INDX'

DEFINE ECHO = 'ON';


--@@IB_UPGRADE/001-alter_tables.sql
--@@IB_UPGRADE/002-add_profile_schema_tables.sql

@@IB_UPGRADE/001-COLUMN_PRECISION.sql
--@@IB_UPGRADE/002-IB_TARGETS.sql
@@IB_UPGRADE/002-IB_TARGETS_NEW.sql
@@IB_UPGRADE/003-IB_ACCOUNT_DELTAS.sql
@@IB_UPGRADE/004-IB_GROUP_DELTAS.sql
--@@IB_UPGRADE/005-IB_TARGET_PROFILE.sql
@@IB_UPGRADE/005-IB_TARGET_PROFILE_NEW.sql
--@@IB_UPGRADE/006-IB_TARGET_RESOURCE_SCHEMA_EXT.sql
@@IB_UPGRADE/006-IB_TARGET_RESOURCE_SCHEMA_EXT_NEW.sql
--@@IB_UPGRADE/007-IB_TARGET_RESOURCE_TYPE.sql
@@IB_UPGRADE/007-IB_TARGET_RESOURCE_TYPE_NEW.sql

--@@ILC_UPGRADE/001-alter_tables.sql
@@ILC_UPGRADE/001-SYSTEMATTRIBUTE_COLUMN_MAPPING.sql
@@ILC_UPGRADE/002-default_data.sql


@@../00-COMMON/Sequence/Sequences_alignment.sql

spool off

exit;
