alter table IB_ACCOUNT_DELTAS drop primary key;
alter table IB_ACCOUNT_DELTAS add column ID_NEW BIGINT;

declare
  counter     numeric(16);
begin
  select count(1) into counter from IB_ACCOUNT_DELTAS;
  if ( counter > 0 ) then
    update IB_ACCOUNT_DELTAS set id_new = id;
  end if;
end;
/
commit;

alter table IB_ACCOUNT_DELTAS drop column ID;
alter table IB_ACCOUNT_DELTAS rename column ID_NEW to ID;
CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_ACCOUNT_DELTAS' );

alter table IB_ACCOUNT_DELTAS alter column id set not null;
alter table IB_ACCOUNT_DELTAS alter column id set GENERATED ALWAYS AS IDENTITY(START WITH 1 INCREMENT BY 1 NOCACHE);
CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_ACCOUNT_DELTAS' );

ALTER TABLE IB_ACCOUNT_DELTAS ADD
  CONSTRAINT IB_ACCOUNT_DELTAS_PK
 PRIMARY KEY (ID);
CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_ACCOUNT_DELTAS' );

-------------------------------------------------------------------

alter table IB_GROUP_DELTAS drop primary key;
alter table IB_GROUP_DELTAS add column ID_NEW BIGINT;

declare
  counter     numeric(16);
begin
  select count(1) into counter from IB_GROUP_DELTAS;
  if ( counter > 0 ) then
    update IB_GROUP_DELTAS set id_new = id;
  end if;
end;
/
commit;

alter table IB_GROUP_DELTAS drop column ID;
alter table IB_GROUP_DELTAS rename column ID_NEW to ID;
CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_GROUP_DELTAS' );

alter table IB_GROUP_DELTAS alter column id set not null;
alter table IB_GROUP_DELTAS alter column id set GENERATED ALWAYS AS IDENTITY(START WITH 1 INCREMENT BY 1 NOCACHE);
CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_GROUP_DELTAS' );

ALTER TABLE IB_GROUP_DELTAS ADD
  CONSTRAINT IB_GROUP_DELTAS_PK
 PRIMARY KEY (ID);
CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_GROUP_DELTAS' );
