CREATE TABLE IB_TARGET_PROFILE
(
  NAME                           VARCHAR(256)       NOT NULL,
  DESCRIPTION                    VARCHAR(1024),
  PROVIDER_TYPE                  VARCHAR(50)        NOT NULL,
  PROVIDER_CONFIG                CLOB(1M)
)
IN &DATA_TABLESPACE
INDEX IN &INDEX_TABLESPACE
LONG IN &LOB_TABLESPACE
;

ALTER TABLE IB_TARGET_PROFILE ADD
  CONSTRAINT IB_TARGET_PROFILE_PK
 PRIMARY KEY (NAME);
CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE IB_TARGET_PROFILE' );

comment on column IB_TARGET_PROFILE.PROVIDER_CONFIG
  is 'DB2_CLOB_SIZE: 1M';
