@echo off

setlocal

set UPGRADE_SCRIPT=%CD%

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @agc_pre_req_upgrade_74_to_75.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @agc_pre_req_upgrade_74_to_75.sql
%SQLPLUS_CMD% ccs_core/%SCHEMA_PWD%@%ORACLE_SERVER% @arc4s_pre_req_upgrade_74_to_75.sql

cd %UPGRADE_SCRIPT%\Localization
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @agc_localization_upgrade_10_to_11.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @agc_localization_upgrade_10_to_11.sql
%SQLPLUS_CMD% ccs_core/%SCHEMA_PWD%@%ORACLE_SERVER% @arc4s_localization_upgrade_10_to_11.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @agc_upgrade_74_to_75.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @agc_upgrade_74_to_75.sql
%SQLPLUS_CMD% ccs_core/%SCHEMA_PWD%@%ORACLE_SERVER% @arc4s_upgrade_74_to_75.sql

cd %UPGRADE_SCRIPT%\AccessRequestsBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @arm_upgrade_14_to_15.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @arm_upgrade_14_to_15.sql

cd %UPGRADE_SCRIPT%\AccessOptimizerBackend
%SQLPLUS_CMD% aa_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @aa_upgrade_54_to_55.sql
%SQLPLUS_CMD% aa_core/%SCHEMA_PWD%@%ORACLE_SERVER% @aa_upgrade_54_to_55.sql

cd %UPGRADE_SCRIPT%\AccessRiskControlsForSAPBackend
%SQLPLUS_CMD% ccs_core/%SCHEMA_PWD%@%ORACLE_SERVER% @arc4s_upgrade_44_to_45.sql

cd %UPGRADE_SCRIPT%\DeskBackend
%SQLPLUS_CMD% iga_service/%SCHEMA_PWD%@%ORACLE_SERVER% @desk_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\EmailBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @es_upgrade_24_to_25.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @es_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\EnterpriseConnectorsBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @ec_upgrade_34_to_35.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @ec_upgrade_34_to_35.sql

cd %UPGRADE_SCRIPT%\JobBackend
%SQLPLUS_CMD% aa_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @job_upgrade_24_to_25_on_AA.sql
%SQLPLUS_CMD% aa_core/%SCHEMA_PWD%@%ORACLE_SERVER% @job_upgrade_24_to_25_on_AA.sql
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @job_upgrade_24_to_25_on_AGC.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @job_upgrade_24_to_25_on_AGC.sql
%SQLPLUS_CMD% ccs_core/%SCHEMA_PWD%@%ORACLE_SERVER% @job_upgrade_24_to_25_on_ARC4S.sql
%SQLPLUS_CMD% iga_report_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @job_upgrade_24_to_25_on_REPORT.sql
%SQLPLUS_CMD% iga_report_core/%SCHEMA_PWD%@%ORACLE_SERVER% @job_upgrade_24_to_25_on_REPORT.sql

cd %UPGRADE_SCRIPT%\ReportBackend
%SQLPLUS_CMD% iga_report_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @rd_upgrade_24_to_25.sql
%SQLPLUS_CMD% iga_report_core/%SCHEMA_PWD%@%ORACLE_SERVER% @rd_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\RuleEngineBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @re_upgrade_24_to_25.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @re_upgrade_24_to_25.sql
%SQLPLUS_CMD% ccs_core/%SCHEMA_PWD%@%ORACLE_SERVER% @re_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\TaskPlannerBackend
%SQLPLUS_CMD% iga_quartz/%SCHEMA_PWD%@%ORACLE_SERVER% @quartz_upgrade.sql
%SQLPLUS_CMD% iga_service/%SCHEMA_PWD%@%ORACLE_SERVER% @sk_upgrade_24_to_25.sql

cd %UPGRADE_SCRIPT%\AuditHelper
%SQLPLUS_CMD% iga_service/%SCHEMA_PWD%@%ORACLE_SERVER% @account_upgrade_34_to_35.sql

cd %UPGRADE_SCRIPT%\SIB_IB_ILC
%SQLPLUS_CMD% itimuser/%SCHEMA_PWD%@%ORACLE_SERVER% @IB_ILC_upgrade.sql
%SQLPLUS_CMD% itiml000/%SCHEMA_PWD%@%ORACLE_SERVER% @SIB_upgrade.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @report_assignment.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @report_assignment.sql

cd %UPGRADE_SCRIPT%\ReportBackend
%SQLPLUS_CMD% iga_report_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @revoke_from_agc.sql
%SQLPLUS_CMD% iga_report_core/%SCHEMA_PWD%@%ORACLE_SERVER% @revoke_from_agc.sql

cd %UPGRADE_SCRIPT%\IdeasModule
%SQLPLUS_CMD% aa_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @ideas_module_upgrade.sql
%SQLPLUS_CMD% aa_core/%SCHEMA_PWD%@%ORACLE_SERVER% @ideas_module_upgrade.sql
%SQLPLUS_CMD% iga_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @ideas_module_upgrade.sql
%SQLPLUS_CMD% iga_core/%SCHEMA_PWD%@%ORACLE_SERVER% @ideas_module_upgrade.sql
%SQLPLUS_CMD% ccs_core/%SCHEMA_PWD%@%ORACLE_SERVER% @ideas_module_upgrade.sql
%SQLPLUS_CMD% iga_report_admin/%SCHEMA_PWD%@%ORACLE_SERVER% @ideas_module_upgrade.sql
%SQLPLUS_CMD% iga_report_core/%SCHEMA_PWD%@%ORACLE_SERVER% @ideas_module_upgrade.sql

cd %UPGRADE_SCRIPT%

endlocal
