CREATE TABLE HR_ACCOUNT_PHOLDER
(
  ID                             NUMBER(16)         NOT NULL,
  PLACEHOLDER                    VARCHAR2(2000),
  PWDCFG                         NUMBER(16)         NOT NULL,
  PWDCFG_ATTR_KEY                NUMBER(16)         NOT NULL
)
TABLESPACE &DATA_TABLESPACE
;

ALTER TABLE HR_ACCOUNT_PHOLDER
  ADD CONSTRAINT HR_ACCOUNT_PHOLDER_PK PRIMARY KEY (ID)
  USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS;

ALTER TABLE HR_ACCOUNT_PHOLDER
 ADD CONSTRAINT HAPH_PWDCFG_FK
 FOREIGN KEY (PWDCFG)
 REFERENCES PWDCFG (ID)
 ON DELETE CASCADE;

ALTER TABLE HR_ACCOUNT_PHOLDER
 ADD CONSTRAINT HAPH_PWDCFG_ATTR_KEY_FK
 FOREIGN KEY (PWDCFG_ATTR_KEY)
 REFERENCES PWDCFG_ATTR_KEY (ID)
 ON DELETE CASCADE;

GRANT ALL ON HR_ACCOUNT_PHOLDER TO IDEAS;

CREATE SEQUENCE HR_ACCOUNT_PHOLDER_SEQ
  START WITH 100
  INCREMENT BY 1
  MINVALUE 100
  MAXVALUE 999999999999999999999999999
  NOCACHE
  NOCYCLE
  NOORDER;

GRANT ALL ON HR_ACCOUNT_PHOLDER_SEQ TO IDEAS;
