declare
  counter           numeric(16);
  l_id              numeric(16);
  l_name            varchar(4);

begin

  l_name := 'AR';
  l_id := 11;
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
	insert into ems_language ( id, name, language_status )
	values ( l_id, l_name, 1 );
  end if;

  l_name := 'CS';
  l_id := 12;
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
	insert into ems_language ( id, name, language_status )
	values ( l_id, l_name, 1 );
  end if;

  l_name := 'NL';
  l_id := 13;
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
	insert into ems_language ( id, name, language_status )
	values ( l_id, l_name, 1 );
  end if;

  l_name := 'IW';
  l_id := 14;
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
	insert into ems_language ( id, name, language_status )
	values ( l_id, l_name, 1 );
  end if;

  l_name := 'HU';
  l_id := 15;
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
	insert into ems_language ( id, name, language_status )
	values ( l_id, l_name, 1 );
  end if;

  l_name := 'KO';
  l_id := 16;
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
	insert into ems_language ( id, name, language_status )
	values ( l_id, l_name, 1 );
  end if;

  l_name := 'PL';
  l_id := 17;
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
	insert into ems_language ( id, name, language_status )
	values ( l_id, l_name, 1 );
  end if;

  l_name := 'RU';
  l_id := 18;
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
	insert into ems_language ( id, name, language_status )
	values ( l_id, l_name, 1 );
  end if;

  l_name := 'TR';
  l_id := 19;
  select count(1) into counter from ems_language t where lower ( t.name ) = lower ( l_name );
  if ( counter = 0 ) then
	insert into ems_language ( id, name, language_status )
	values ( l_id, l_name, 1 );
  end if;

end;
/
commit;

declare
  cur_lan       sys_refcursor;
  lan_id        numeric(16);
  im_id         numeric(16);
  lan_status    numeric(16);
  lan_status_id numeric(16);

  counter       numeric(16);
begin
  open cur_lan for
    select lan.language, im.id as ideas_module, lan.status from ideas_module im,
    (
      select l.id as language, ll.language_status as status, 'ES' as im_code from language l, ems_language ll
      where ll.language_status > 0 and lower ( l.code ) = lower ( ll.name ) and ll.country is null
      union
      select l.id as language, ll.language_status as status, 'ES' as im_code from language l, ems_language ll
      where ll.language_status > 0 and lower ( l.code ) = lower ( ll.name ) and lower ( l.country ) = lower ( ll.country )
    ) lan where lower ( im.code ) = lower ( lan.im_code )
  ;
  loop
    fetch cur_lan into lan_id, im_id, lan_status;
    exit when cur_lan%NOTFOUND;
    
    select count(1) into counter from language_status t where t.language = lan_id and t.ideas_module = im_id;
    if ( counter = 0 ) then
      insert into language_status ( id, language, ideas_module, status )
      values ( language_status_seq.nextval, lan_id, im_id, lan_status );
    else
      select id into lan_status_id from language_status t where t.language = lan_id and t.ideas_module = im_id;
      update language_status set status = lan_status where id = lan_status_id;
    end if;
  end loop;
  close cur_lan;
end;
/
commit;
