declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE CLASS_NAME
    ADD IS_ACCOUNT NUMERIC(1) DEFAULT 0
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE CLASS_NAME
    ADD IS_USER NUMERIC(1) DEFAULT 0
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar(256);
  exception1  EXCEPTION;
  PRAGMA DB2_EXCEPTION_INIT(exception1,'42711'); -- duplicate name

begin
  stat := '
  ALTER TABLE CLASS_NAME
    ADD PROFILE_REF VARCHAR(128)
  ';

  execute immediate (stat);

exception
  when exception1 then null;

end;
/

update class_name set is_user = 1, is_account = 1;
commit;

DROP INDEX CLASS_NAME_LVALUE_IDX;

DROP INDEX CLASS_NAME_VALUE_IDX;

CREATE INDEX CLASS_NAME_LVALUE_IDX ON CLASS_NAME (LOWER(VALUE));

CREATE INDEX CLASS_NAME_VALUE_IDX ON CLASS_NAME (VALUE);

CALL SYSPROC.ADMIN_CMD ( 'REORG TABLE CLASS_NAME' );
