declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-01442); -- column to be modified to not null is already not null

begin
  stat := '
  ALTER TABLE I18NMESSAGES
    MODIFY ( PROFILE NOT NULL )
  ';
  execute immediate (stat);

exception
  when exception1 then null;

end;
/

declare
  stat        varchar2(256);
  exception1  EXCEPTION;
  PRAGMA EXCEPTION_INIT(exception1,-02260); -- PK already defined

begin
  stat := '
  ALTER TABLE I18NMESSAGES
    ADD CONSTRAINT I18NMESSAGES_PK PRIMARY KEY (PROFILE, NAME, MESSAGEKEY)
    USING INDEX TABLESPACE &INDEX_TABLESPACE COMPUTE STATISTICS
  ';
  execute immediate (stat);

exception
  when exception1 then null;

end;
/
