declare
  counter         number(16);
  scm_id          number(16) := 13;
begin
  select count(1) into counter from systemattribute_column_mapping t where id = scm_id;
  if ( counter = 0 ) then
    insert into systemattribute_column_mapping ( id, system_class_name, system_attribute_name, table_name, column_name, is_custom_class, conversion, is_date )
    values (scm_id, 'v_account', 'erpassword', 'event_target', 'password', 0, null, 0);
  end if;
end;
/
commit;
