@echo off

setlocal

set UPGRADE_SCRIPT=%CD%

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @agc_pre_req_upgrade_75_to_76.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @agc_pre_req_upgrade_75_to_76.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_pre_req_upgrade_75_to_76.sql

cd %UPGRADE_SCRIPT%\Localization
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @agc_localization_upgrade_11_to_12.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @agc_localization_upgrade_11_to_12.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_localization_upgrade_11_to_12.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @agc_upgrade_75_to_76.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @agc_upgrade_75_to_76.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_upgrade_75_to_76.sql

cd %UPGRADE_SCRIPT%\AccessRequestsBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @arm_upgrade_15_to_16.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @arm_upgrade_15_to_16.sql

cd %UPGRADE_SCRIPT%\AccessOptimizerBackend
call "%CLPPLUS_CMD%" -nw aaadm/%SCHEMA_PWD%@%DB2_SERVER% @aa_upgrade_55_to_56.sql
call "%CLPPLUS_CMD%" -nw aacore/%SCHEMA_PWD%@%DB2_SERVER% @aa_upgrade_55_to_56.sql

cd %UPGRADE_SCRIPT%\AccessRiskControlsForSAPBackend
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @arc4s_upgrade_45_to_46.sql

cd %UPGRADE_SCRIPT%\DeskBackend
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @desk_upgrade_25_to_26.sql

cd %UPGRADE_SCRIPT%\EmailBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @es_upgrade_25_to_26.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @es_upgrade_25_to_26.sql

cd %UPGRADE_SCRIPT%\EnterpriseConnectorsBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @ec_upgrade_35_to_36.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @ec_upgrade_35_to_36.sql

cd %UPGRADE_SCRIPT%\JobBackend
call "%CLPPLUS_CMD%" -nw aaadm/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_25_to_26_on_AA.sql
call "%CLPPLUS_CMD%" -nw aacore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_25_to_26_on_AA.sql
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_25_to_26_on_AGC.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_25_to_26_on_AGC.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_25_to_26_on_ARC4S.sql
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_25_to_26_on_REPORT.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @job_upgrade_25_to_26_on_REPORT.sql

cd %UPGRADE_SCRIPT%\ReportBackend
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @rd_upgrade_25_to_26.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @rd_upgrade_25_to_26.sql

cd %UPGRADE_SCRIPT%\RuleEngineBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @re_upgrade_25_to_26.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @re_upgrade_25_to_26.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @re_upgrade_25_to_26.sql

cd %UPGRADE_SCRIPT%\TaskPlannerBackend
call "%CLPPLUS_CMD%" -nw igaqrz/%SCHEMA_PWD%@%DB2_SERVER% @quartz_upgrade.sql
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @sk_upgrade_25_to_26.sql

cd %UPGRADE_SCRIPT%\AuditHelper
call "%CLPPLUS_CMD%" -nw igaserv/%SCHEMA_PWD%@%DB2_SERVER% @account_upgrade_35_to_36.sql

cd %UPGRADE_SCRIPT%\SIB_IB_ILC
call "%CLPPLUS_CMD%" -nw itimuser/%SCHEMA_PWD%@%DB2_SERVER% @IB_ILC_upgrade.sql
call "%CLPPLUS_CMD%" -nw itiml000/%SCHEMA_PWD%@%DB2_SERVER% @SIB_upgrade.sql

cd %UPGRADE_SCRIPT%\AccessGovernanceCoreBackend
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @report_assignment.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @report_assignment.sql

cd %UPGRADE_SCRIPT%\ReportBackend
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @revoke_from_agc.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @revoke_from_agc.sql

cd %UPGRADE_SCRIPT%\IdeasModule
call "%CLPPLUS_CMD%" -nw aaadm/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw aacore/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw igaadm/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw igacore/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw ccscore/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw repadm/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql
call "%CLPPLUS_CMD%" -nw repcore/%SCHEMA_PWD%@%DB2_SERVER% @ideas_module_upgrade.sql

cd %UPGRADE_SCRIPT%

endlocal
